#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 649
#define LARGE_STATE_COUNT 43
#define SYMBOL_COUNT 225
#define ALIAS_COUNT 0
#define TOKEN_COUNT 122
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 48

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_use = 2,
  anon_sym_EQ = 3,
  anon_sym_COLON_COLON = 4,
  anon_sym_LBRACE = 5,
  anon_sym_COMMA = 6,
  anon_sym_RBRACE = 7,
  anon_sym_STAR = 8,
  anon_sym_SEMI = 9,
  anon_sym_export = 10,
  anon_sym_const = 11,
  anon_sym_let = 12,
  anon_sym_COLON = 13,
  anon_sym_ATsymbol = 14,
  anon_sym_LPAREN = 15,
  anon_sym_RPAREN = 16,
  anon_sym_def = 17,
  anon_sym_type = 18,
  anon_sym_fn = 19,
  anon_sym_ATfini = 20,
  anon_sym_ATinit = 21,
  anon_sym_ATtest = 22,
  anon_sym_ATnoreturn = 23,
  anon_sym_ATpacked = 24,
  anon_sym__ = 25,
  anon_sym_DOT_DOT_DOT = 26,
  anon_sym_i8 = 27,
  anon_sym_i16 = 28,
  anon_sym_i32 = 29,
  anon_sym_i64 = 30,
  anon_sym_u8 = 31,
  anon_sym_u16 = 32,
  anon_sym_u32 = 33,
  anon_sym_u64 = 34,
  anon_sym_int = 35,
  anon_sym_uint = 36,
  anon_sym_size = 37,
  anon_sym_uintptr = 38,
  anon_sym_char = 39,
  anon_sym_f32 = 40,
  anon_sym_f64 = 41,
  anon_sym_rune = 42,
  anon_sym_str = 43,
  anon_sym_bool = 44,
  anon_sym_void = 45,
  anon_sym_nullable = 46,
  anon_sym_BANG = 47,
  anon_sym_LBRACK = 48,
  anon_sym_RBRACK = 49,
  anon_sym_enum = 50,
  anon_sym_struct = 51,
  anon_sym_union = 52,
  anon_sym_PIPE = 53,
  anon_sym_AToffset = 54,
  anon_sym_if = 55,
  anon_sym_else = 56,
  anon_sym_for = 57,
  anon_sym_break = 58,
  anon_sym_defer = 59,
  anon_sym_return = 60,
  anon_sym_yield = 61,
  anon_sym_static = 62,
  anon_sym_PLUS_EQ = 63,
  anon_sym_DASH_EQ = 64,
  anon_sym_STAR_EQ = 65,
  anon_sym_SLASH_EQ = 66,
  anon_sym_PERCENT_EQ = 67,
  anon_sym_LT_LT_EQ = 68,
  anon_sym_GT_GT_EQ = 69,
  anon_sym_PIPE_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_CARET_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_AMP_AMP_EQ = 74,
  anon_sym_CARET_CARET_EQ = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_TILDE = 78,
  anon_sym_AMP = 79,
  anon_sym_SLASH = 80,
  anon_sym_PERCENT = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_AMP_AMP = 83,
  anon_sym_CARET_CARET = 84,
  anon_sym_CARET = 85,
  anon_sym_EQ_EQ = 86,
  anon_sym_BANG_EQ = 87,
  anon_sym_GT = 88,
  anon_sym_GT_EQ = 89,
  anon_sym_LT_EQ = 90,
  anon_sym_LT = 91,
  anon_sym_LT_LT = 92,
  anon_sym_GT_GT = 93,
  anon_sym_as = 94,
  anon_sym_is = 95,
  anon_sym_DOT_DOT = 96,
  anon_sym_DOT = 97,
  anon_sym_QMARK = 98,
  anon_sym_switch = 99,
  anon_sym_match = 100,
  anon_sym_case = 101,
  anon_sym_EQ_GT = 102,
  aux_sym_number_token1 = 103,
  aux_sym_number_token2 = 104,
  aux_sym_float_token1 = 105,
  aux_sym_float_token2 = 106,
  anon_sym_i = 107,
  anon_sym_u = 108,
  anon_sym_z = 109,
  anon_sym_DQUOTE = 110,
  anon_sym_BQUOTE = 111,
  sym_string_content = 112,
  sym_raw_string_content = 113,
  anon_sym_SQUOTE = 114,
  aux_sym_rune_token1 = 115,
  aux_sym__escape_sequence_token1 = 116,
  sym_escape_sequence = 117,
  anon_sym_true = 118,
  anon_sym_false = 119,
  sym_null = 120,
  sym_comment = 121,
  sym_module = 122,
  sym_imports = 123,
  sym_use_statement = 124,
  sym_declarations = 125,
  sym_declaration = 126,
  sym_global_declaration = 127,
  sym_global_binding = 128,
  sym_declaration_attribute = 129,
  sym_constant_declaration = 130,
  sym_type_declaration = 131,
  sym_function_declaration = 132,
  sym_function_attribute = 133,
  sym_struct_attribute = 134,
  sym_parameter = 135,
  sym_type = 136,
  sym_builtin_type = 137,
  sym_pointer_type = 138,
  sym_const_type = 139,
  sym_error_type = 140,
  sym_array_type = 141,
  sym_enum_type = 142,
  sym_slice_type = 143,
  sym_struct_type = 144,
  sym_tuple_type = 145,
  sym_union_type = 146,
  sym_tagged_union_type = 147,
  sym_function_type = 148,
  sym_unwrapped_type = 149,
  sym_enum_field = 150,
  sym_field = 151,
  sym_offset_specifier = 152,
  sym_statement = 153,
  sym_expression_statement = 154,
  sym_block = 155,
  sym_if_statement = 156,
  sym_else_statement = 157,
  sym_for_statement = 158,
  sym_label = 159,
  sym_break_statement = 160,
  sym_defer_statement = 161,
  sym_return_statement = 162,
  sym_yield_statement = 163,
  sym_static_operation = 164,
  sym_let_declaration = 165,
  sym_const_declaration = 166,
  sym_expression = 167,
  sym_assignment_expression = 168,
  sym_update_expression = 169,
  sym_unary_expression = 170,
  sym_binary_expression = 171,
  sym_error_assertion_expression = 172,
  sym_cast_expression = 173,
  sym_size_expression = 174,
  sym_call_expression = 175,
  sym_variadic_argument = 176,
  sym_index_expression = 177,
  sym_range_expression = 178,
  sym_member_expression = 179,
  sym_try_expression = 180,
  sym_parenthesis_expression = 181,
  sym_let_expression = 182,
  sym_switch_expression = 183,
  sym_match_expression = 184,
  sym_case = 185,
  sym_literal = 186,
  sym_array_literal = 187,
  sym_struct_literal = 188,
  sym_field_assignment = 189,
  sym_tuple_literal = 190,
  sym_number = 191,
  sym_float = 192,
  sym_integer_suffix = 193,
  sym_string = 194,
  sym_raw_string = 195,
  sym_concatenated_string = 196,
  sym_rune = 197,
  sym__escape_sequence = 198,
  sym_boolean = 199,
  sym_void = 200,
  sym_scoped_type_identifier = 201,
  aux_sym_imports_repeat1 = 202,
  aux_sym_use_statement_repeat1 = 203,
  aux_sym_declarations_repeat1 = 204,
  aux_sym_global_declaration_repeat1 = 205,
  aux_sym_constant_declaration_repeat1 = 206,
  aux_sym_type_declaration_repeat1 = 207,
  aux_sym_function_declaration_repeat1 = 208,
  aux_sym_function_declaration_repeat2 = 209,
  aux_sym_enum_type_repeat1 = 210,
  aux_sym_struct_type_repeat1 = 211,
  aux_sym_tuple_type_repeat1 = 212,
  aux_sym_tagged_union_type_repeat1 = 213,
  aux_sym_block_repeat1 = 214,
  aux_sym_let_declaration_repeat1 = 215,
  aux_sym_const_declaration_repeat1 = 216,
  aux_sym_call_expression_repeat1 = 217,
  aux_sym_let_expression_repeat1 = 218,
  aux_sym_switch_expression_repeat1 = 219,
  aux_sym_case_repeat1 = 220,
  aux_sym_array_literal_repeat1 = 221,
  aux_sym_struct_literal_repeat1 = 222,
  aux_sym_string_repeat1 = 223,
  aux_sym_concatenated_string_repeat1 = 224,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_use] = "use",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_STAR] = "*",
  [anon_sym_SEMI] = ";",
  [anon_sym_export] = "export",
  [anon_sym_const] = "const",
  [anon_sym_let] = "let",
  [anon_sym_COLON] = ":",
  [anon_sym_ATsymbol] = "@symbol",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_def] = "def",
  [anon_sym_type] = "type",
  [anon_sym_fn] = "fn",
  [anon_sym_ATfini] = "@fini",
  [anon_sym_ATinit] = "@init",
  [anon_sym_ATtest] = "@test",
  [anon_sym_ATnoreturn] = "@noreturn",
  [anon_sym_ATpacked] = "@packed",
  [anon_sym__] = "_",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_i8] = "i8",
  [anon_sym_i16] = "i16",
  [anon_sym_i32] = "i32",
  [anon_sym_i64] = "i64",
  [anon_sym_u8] = "u8",
  [anon_sym_u16] = "u16",
  [anon_sym_u32] = "u32",
  [anon_sym_u64] = "u64",
  [anon_sym_int] = "int",
  [anon_sym_uint] = "uint",
  [anon_sym_size] = "size",
  [anon_sym_uintptr] = "uintptr",
  [anon_sym_char] = "char",
  [anon_sym_f32] = "f32",
  [anon_sym_f64] = "f64",
  [anon_sym_rune] = "rune",
  [anon_sym_str] = "str",
  [anon_sym_bool] = "bool",
  [anon_sym_void] = "void",
  [anon_sym_nullable] = "nullable",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_enum] = "enum",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_PIPE] = "|",
  [anon_sym_AToffset] = "@offset",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_break] = "break",
  [anon_sym_defer] = "defer",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_static] = "static",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_CARET_CARET_EQ] = "^^=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_as] = "as",
  [anon_sym_is] = "is",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK] = "\?",
  [anon_sym_switch] = "switch",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_number_token2] = "number_token2",
  [aux_sym_float_token1] = "float_token1",
  [aux_sym_float_token2] = "float_token2",
  [anon_sym_i] = "i",
  [anon_sym_u] = "u",
  [anon_sym_z] = "z",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BQUOTE] = "`",
  [sym_string_content] = "string_content",
  [sym_raw_string_content] = "raw_string_content",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_rune_token1] = "rune_token1",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_null] = "null",
  [sym_comment] = "comment",
  [sym_module] = "module",
  [sym_imports] = "imports",
  [sym_use_statement] = "use_statement",
  [sym_declarations] = "declarations",
  [sym_declaration] = "declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_global_binding] = "global_binding",
  [sym_declaration_attribute] = "declaration_attribute",
  [sym_constant_declaration] = "constant_declaration",
  [sym_type_declaration] = "type_declaration",
  [sym_function_declaration] = "function_declaration",
  [sym_function_attribute] = "function_attribute",
  [sym_struct_attribute] = "struct_attribute",
  [sym_parameter] = "parameter",
  [sym_type] = "type",
  [sym_builtin_type] = "builtin_type",
  [sym_pointer_type] = "pointer_type",
  [sym_const_type] = "const_type",
  [sym_error_type] = "error_type",
  [sym_array_type] = "array_type",
  [sym_enum_type] = "enum_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_tuple_type] = "tuple_type",
  [sym_union_type] = "union_type",
  [sym_tagged_union_type] = "tagged_union_type",
  [sym_function_type] = "function_type",
  [sym_unwrapped_type] = "unwrapped_type",
  [sym_enum_field] = "enum_field",
  [sym_field] = "field",
  [sym_offset_specifier] = "offset_specifier",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_block] = "block",
  [sym_if_statement] = "if_statement",
  [sym_else_statement] = "else_statement",
  [sym_for_statement] = "for_statement",
  [sym_label] = "label",
  [sym_break_statement] = "break_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_static_operation] = "static_operation",
  [sym_let_declaration] = "let_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_expression] = "expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_update_expression] = "update_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_error_assertion_expression] = "error_assertion_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_size_expression] = "size_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_index_expression] = "index_expression",
  [sym_range_expression] = "range_expression",
  [sym_member_expression] = "member_expression",
  [sym_try_expression] = "try_expression",
  [sym_parenthesis_expression] = "parenthesis_expression",
  [sym_let_expression] = "let_expression",
  [sym_switch_expression] = "switch_expression",
  [sym_match_expression] = "match_expression",
  [sym_case] = "case",
  [sym_literal] = "literal",
  [sym_array_literal] = "array_literal",
  [sym_struct_literal] = "struct_literal",
  [sym_field_assignment] = "field_assignment",
  [sym_tuple_literal] = "tuple_literal",
  [sym_number] = "number",
  [sym_float] = "float",
  [sym_integer_suffix] = "integer_suffix",
  [sym_string] = "string",
  [sym_raw_string] = "raw_string",
  [sym_concatenated_string] = "concatenated_string",
  [sym_rune] = "rune",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_boolean] = "boolean",
  [sym_void] = "void",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [aux_sym_imports_repeat1] = "imports_repeat1",
  [aux_sym_use_statement_repeat1] = "use_statement_repeat1",
  [aux_sym_declarations_repeat1] = "declarations_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_constant_declaration_repeat1] = "constant_declaration_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_function_declaration_repeat1] = "function_declaration_repeat1",
  [aux_sym_function_declaration_repeat2] = "function_declaration_repeat2",
  [aux_sym_enum_type_repeat1] = "enum_type_repeat1",
  [aux_sym_struct_type_repeat1] = "struct_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_tagged_union_type_repeat1] = "tagged_union_type_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_let_declaration_repeat1] = "let_declaration_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym_let_expression_repeat1] = "let_expression_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_array_literal_repeat1] = "array_literal_repeat1",
  [aux_sym_struct_literal_repeat1] = "struct_literal_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_ATsymbol] = anon_sym_ATsymbol,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_ATfini] = anon_sym_ATfini,
  [anon_sym_ATinit] = anon_sym_ATinit,
  [anon_sym_ATtest] = anon_sym_ATtest,
  [anon_sym_ATnoreturn] = anon_sym_ATnoreturn,
  [anon_sym_ATpacked] = anon_sym_ATpacked,
  [anon_sym__] = anon_sym__,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_i8] = anon_sym_i8,
  [anon_sym_i16] = anon_sym_i16,
  [anon_sym_i32] = anon_sym_i32,
  [anon_sym_i64] = anon_sym_i64,
  [anon_sym_u8] = anon_sym_u8,
  [anon_sym_u16] = anon_sym_u16,
  [anon_sym_u32] = anon_sym_u32,
  [anon_sym_u64] = anon_sym_u64,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_uint] = anon_sym_uint,
  [anon_sym_size] = anon_sym_size,
  [anon_sym_uintptr] = anon_sym_uintptr,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_f32] = anon_sym_f32,
  [anon_sym_f64] = anon_sym_f64,
  [anon_sym_rune] = anon_sym_rune,
  [anon_sym_str] = anon_sym_str,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_nullable] = anon_sym_nullable,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AToffset] = anon_sym_AToffset,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_CARET_CARET_EQ] = anon_sym_CARET_CARET_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_number_token2] = aux_sym_number_token2,
  [aux_sym_float_token1] = aux_sym_float_token1,
  [aux_sym_float_token2] = aux_sym_float_token2,
  [anon_sym_i] = anon_sym_i,
  [anon_sym_u] = anon_sym_u,
  [anon_sym_z] = anon_sym_z,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_string_content] = sym_string_content,
  [sym_raw_string_content] = sym_raw_string_content,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_rune_token1] = aux_sym_rune_token1,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_null] = sym_null,
  [sym_comment] = sym_comment,
  [sym_module] = sym_module,
  [sym_imports] = sym_imports,
  [sym_use_statement] = sym_use_statement,
  [sym_declarations] = sym_declarations,
  [sym_declaration] = sym_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_global_binding] = sym_global_binding,
  [sym_declaration_attribute] = sym_declaration_attribute,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym_type_declaration] = sym_type_declaration,
  [sym_function_declaration] = sym_function_declaration,
  [sym_function_attribute] = sym_function_attribute,
  [sym_struct_attribute] = sym_struct_attribute,
  [sym_parameter] = sym_parameter,
  [sym_type] = sym_type,
  [sym_builtin_type] = sym_builtin_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_const_type] = sym_const_type,
  [sym_error_type] = sym_error_type,
  [sym_array_type] = sym_array_type,
  [sym_enum_type] = sym_enum_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_union_type] = sym_union_type,
  [sym_tagged_union_type] = sym_tagged_union_type,
  [sym_function_type] = sym_function_type,
  [sym_unwrapped_type] = sym_unwrapped_type,
  [sym_enum_field] = sym_enum_field,
  [sym_field] = sym_field,
  [sym_offset_specifier] = sym_offset_specifier,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_block] = sym_block,
  [sym_if_statement] = sym_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_label] = sym_label,
  [sym_break_statement] = sym_break_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_static_operation] = sym_static_operation,
  [sym_let_declaration] = sym_let_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_expression] = sym_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_error_assertion_expression] = sym_error_assertion_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_size_expression] = sym_size_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_index_expression] = sym_index_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_parenthesis_expression] = sym_parenthesis_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_switch_expression] = sym_switch_expression,
  [sym_match_expression] = sym_match_expression,
  [sym_case] = sym_case,
  [sym_literal] = sym_literal,
  [sym_array_literal] = sym_array_literal,
  [sym_struct_literal] = sym_struct_literal,
  [sym_field_assignment] = sym_field_assignment,
  [sym_tuple_literal] = sym_tuple_literal,
  [sym_number] = sym_number,
  [sym_float] = sym_float,
  [sym_integer_suffix] = sym_integer_suffix,
  [sym_string] = sym_string,
  [sym_raw_string] = sym_raw_string,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_rune] = sym_rune,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_void] = sym_void,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [aux_sym_imports_repeat1] = aux_sym_imports_repeat1,
  [aux_sym_use_statement_repeat1] = aux_sym_use_statement_repeat1,
  [aux_sym_declarations_repeat1] = aux_sym_declarations_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_constant_declaration_repeat1] = aux_sym_constant_declaration_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_function_declaration_repeat1] = aux_sym_function_declaration_repeat1,
  [aux_sym_function_declaration_repeat2] = aux_sym_function_declaration_repeat2,
  [aux_sym_enum_type_repeat1] = aux_sym_enum_type_repeat1,
  [aux_sym_struct_type_repeat1] = aux_sym_struct_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_tagged_union_type_repeat1] = aux_sym_tagged_union_type_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_let_declaration_repeat1] = aux_sym_let_declaration_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym_let_expression_repeat1] = aux_sym_let_expression_repeat1,
  [aux_sym_switch_expression_repeat1] = aux_sym_switch_expression_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_array_literal_repeat1] = aux_sym_array_literal_repeat1,
  [aux_sym_struct_literal_repeat1] = aux_sym_struct_literal_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsymbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATfini] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATtest] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATnoreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpacked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uintptr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rune] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_str] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AToffset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_z] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_rune_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_function_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_const_type] = {
    .visible = true,
    .named = true,
  },
  [sym_error_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unwrapped_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_field] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_offset_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_static_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_let_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_size_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesis_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_field_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_rune] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_void] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tagged_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_address = 1,
  field_afterthought = 2,
  field_alternative = 3,
  field_argument = 4,
  field_as_cast = 5,
  field_body = 6,
  field_callee = 7,
  field_condition = 8,
  field_consequence = 9,
  field_is_cast = 10,
  field_label = 11,
  field_left = 12,
  field_name = 13,
  field_operator = 14,
  field_path = 15,
  field_returns = 16,
  field_right = 17,
  field_size = 18,
  field_type_cast = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_address] = "address",
  [field_afterthought] = "afterthought",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_as_cast] = "as_cast",
  [field_body] = "body",
  [field_callee] = "callee",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_is_cast] = "is_cast",
  [field_label] = "label",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_path] = "path",
  [field_returns] = "returns",
  [field_right] = "right",
  [field_size] = "size",
  [field_type_cast] = "type_cast",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 1},
  [3] = {.index = 3, .length = 2},
  [4] = {.index = 5, .length = 1},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 1},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 2},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 1},
  [12] = {.index = 18, .length = 1},
  [13] = {.index = 19, .length = 3},
  [14] = {.index = 22, .length = 3},
  [15] = {.index = 25, .length = 1},
  [16] = {.index = 26, .length = 3},
  [17] = {.index = 29, .length = 3},
  [18] = {.index = 32, .length = 2},
  [19] = {.index = 34, .length = 3},
  [20] = {.index = 37, .length = 2},
  [21] = {.index = 39, .length = 2},
  [22] = {.index = 41, .length = 2},
  [23] = {.index = 43, .length = 1},
  [24] = {.index = 44, .length = 3},
  [25] = {.index = 47, .length = 2},
  [26] = {.index = 49, .length = 2},
  [27] = {.index = 51, .length = 2},
  [28] = {.index = 53, .length = 3},
  [29] = {.index = 56, .length = 2},
  [30] = {.index = 58, .length = 1},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 2},
  [37] = {.index = 73, .length = 2},
  [38] = {.index = 75, .length = 1},
  [39] = {.index = 76, .length = 3},
  [40] = {.index = 79, .length = 3},
  [41] = {.index = 82, .length = 2},
  [42] = {.index = 84, .length = 1},
  [43] = {.index = 85, .length = 3},
  [44] = {.index = 88, .length = 2},
  [45] = {.index = 90, .length = 1},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 2},
    {field_path, 0},
  [2] =
    {field_name, 1},
  [3] =
    {field_name, 1},
    {field_returns, 4},
  [5] =
    {field_name, 2},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_label, 1},
  [9] =
    {field_address, 0},
    {field_argument, 1},
  [11] =
    {field_name, 1},
    {field_returns, 5},
  [13] =
    {field_body, 5},
    {field_name, 1},
  [15] =
    {field_name, 2},
    {field_returns, 5},
  [17] =
    {field_returns, 3},
  [18] =
    {field_size, 1},
  [19] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [22] =
    {field_type_cast, 0},
    {field_type_cast, 1},
    {field_type_cast, 2},
  [25] =
    {field_callee, 0},
  [26] =
    {field_as_cast, 0},
    {field_as_cast, 1},
    {field_as_cast, 2},
  [29] =
    {field_is_cast, 0},
    {field_is_cast, 1},
    {field_is_cast, 2},
  [32] =
    {field_body, 6},
    {field_name, 1},
  [34] =
    {field_body, 6},
    {field_name, 1},
    {field_returns, 4},
  [37] =
    {field_name, 1},
    {field_returns, 6},
  [39] =
    {field_name, 2},
    {field_returns, 6},
  [41] =
    {field_body, 6},
    {field_name, 2},
  [43] =
    {field_returns, 4},
  [44] =
    {field_body, 7},
    {field_name, 1},
    {field_returns, 5},
  [47] =
    {field_body, 7},
    {field_name, 1},
  [49] =
    {field_name, 1},
    {field_returns, 7},
  [51] =
    {field_body, 7},
    {field_name, 2},
  [53] =
    {field_body, 7},
    {field_name, 2},
    {field_returns, 5},
  [56] =
    {field_name, 2},
    {field_returns, 7},
  [58] =
    {field_returns, 5},
  [59] =
    {field_condition, 2},
    {field_consequence, 4},
  [61] =
    {field_body, 4},
    {field_condition, 2},
  [63] =
    {field_body, 8},
    {field_name, 1},
    {field_returns, 6},
  [66] =
    {field_body, 8},
    {field_name, 1},
  [68] =
    {field_body, 8},
    {field_name, 2},
    {field_returns, 6},
  [71] =
    {field_body, 8},
    {field_name, 2},
  [73] =
    {field_name, 2},
    {field_returns, 8},
  [75] =
    {field_returns, 6},
  [76] =
    {field_body, 9},
    {field_name, 1},
    {field_returns, 7},
  [79] =
    {field_body, 9},
    {field_name, 2},
    {field_returns, 7},
  [82] =
    {field_body, 9},
    {field_name, 2},
  [84] =
    {field_alternative, 1},
  [85] =
    {field_afterthought, 4},
    {field_body, 6},
    {field_condition, 2},
  [88] =
    {field_body, 6},
    {field_condition, 4},
  [90] =
    {field_returns, 7},
  [91] =
    {field_body, 10},
    {field_name, 2},
    {field_returns, 8},
  [94] =
    {field_afterthought, 6},
    {field_body, 8},
    {field_condition, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 26,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 31,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 4,
  [117] = 7,
  [118] = 5,
  [119] = 6,
  [120] = 3,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 138,
  [164] = 139,
  [165] = 144,
  [166] = 156,
  [167] = 140,
  [168] = 155,
  [169] = 160,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 329,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 394,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 403,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 407,
  [434] = 427,
  [435] = 430,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 480,
  [522] = 450,
  [523] = 505,
  [524] = 517,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 570,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 577,
  [629] = 629,
  [630] = 623,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 572,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 625,
  [643] = 643,
  [644] = 635,
  [645] = 645,
  [646] = 598,
  [647] = 647,
  [648] = 648,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(73);
      ADVANCE_MAP(
        '!', 95,
        '"', 152,
        '%', 122,
        '&', 120,
        '\'', 164,
        '(', 86,
        ')', 87,
        '*', 81,
        '+', 115,
        ',', 78,
        '-', 117,
        '.', 136,
        '/', 121,
        '0', 139,
        ':', 84,
        ';', 82,
        '<', 132,
        '=', 74,
        '>', 129,
        '?', 137,
        '@', 25,
        '[', 96,
        '\\', 15,
        ']', 97,
        '^', 126,
        '`', 153,
        '{', 77,
        '|', 99,
        '}', 79,
        '~', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 1:
      if (lookahead == '\r') ADVANCE(175);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 94,
        '"', 152,
        '&', 119,
        '\'', 164,
        '(', 86,
        ')', 87,
        '*', 80,
        '+', 114,
        ',', 78,
        '-', 116,
        '.', 4,
        '/', 6,
        '0', 139,
        ':', 83,
        ';', 82,
        '=', 75,
        '@', 26,
        '[', 96,
        ']', 97,
        '`', 153,
        '{', 77,
        '|', 98,
        '}', 79,
        '~', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(152);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(15);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(155);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 4:
      if (lookahead == '.') ADVANCE(135);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '/') ADVANCE(174);
      END_STATE();
    case 7:
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '0') ADVANCE(141);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(142);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 8:
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(167);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(165);
      END_STATE();
    case 9:
      if (lookahead == '2') ADVANCE(151);
      END_STATE();
    case 10:
      if (lookahead == '2') ADVANCE(148);
      END_STATE();
    case 11:
      if (lookahead == '3') ADVANCE(9);
      if (lookahead == '6') ADVANCE(13);
      END_STATE();
    case 12:
      if (lookahead == '3') ADVANCE(10);
      if (lookahead == '6') ADVANCE(14);
      END_STATE();
    case 13:
      if (lookahead == '4') ADVANCE(151);
      END_STATE();
    case 14:
      if (lookahead == '4') ADVANCE(148);
      END_STATE();
    case 15:
      if (lookahead == 'U') ADVANCE(170);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(169);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(18);
      END_STATE();
    case 17:
      if (lookahead == 'b') ADVANCE(39);
      END_STATE();
    case 18:
      if (lookahead == 'c') ADVANCE(32);
      END_STATE();
    case 19:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(19);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 24:
      if (lookahead == 'f') ADVANCE(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 's') ADVANCE(49);
      if (lookahead == 't') ADVANCE(20);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(38);
      if (lookahead == 's') ADVANCE(49);
      if (lookahead == 't') ADVANCE(20);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(43);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(37);
      END_STATE();
    case 32:
      if (lookahead == 'k') ADVANCE(21);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(17);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'y') ADVANCE(34);
      END_STATE();
    case 50:
      if (lookahead == '{') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 51:
      if (lookahead == '}') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 53:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 54:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 55:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 56:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(171);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 72:
      if (eof) ADVANCE(73);
      ADVANCE_MAP(
        '!', 95,
        '"', 152,
        '%', 122,
        '&', 120,
        '\'', 164,
        '(', 86,
        ')', 87,
        '*', 81,
        '+', 115,
        ',', 78,
        '-', 117,
        '.', 136,
        '/', 121,
        '0', 139,
        ':', 84,
        ';', 82,
        '<', 132,
        '=', 74,
        '>', 129,
        '?', 137,
        '@', 25,
        '[', 96,
        ']', 97,
        '^', 126,
        '`', 153,
        '{', 77,
        '|', 99,
        '}', 79,
        '~', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(127);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(76);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_ATsymbol);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_ATfini);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_ATinit);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_ATtest);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_ATnoreturn);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_ATpacked);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '|') ADVANCE(123);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_AToffset);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_CARET_CARET_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '^') ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(134);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(93);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(57);
      if (lookahead == 'x') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(5);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'o') ADVANCE(57);
      if (lookahead == 'x') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (lookahead == 'f') ADVANCE(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_float_token1);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_float_token1);
      if (lookahead == 'f') ADVANCE(12);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym_float_token1);
      if (lookahead == 'f') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_float_token2);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(157);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead == '\n') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead == '\r') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(158);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead == '/') ADVANCE(161);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(163);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(163);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(158);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_raw_string_content);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_rune_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_rune_token1);
      if (lookahead == '/') ADVANCE(174);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_rune_token1);
      if (lookahead == 'U') ADVANCE(170);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(169);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(172);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(171);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'y', 17,
        'z', 18,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(20);
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 7:
      if (lookahead == '3') ADVANCE(29);
      if (lookahead == '6') ADVANCE(30);
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == '1') ADVANCE(34);
      if (lookahead == '3') ADVANCE(35);
      if (lookahead == '6') ADVANCE(36);
      if (lookahead == '8') ADVANCE(37);
      if (lookahead == 'f') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(39);
      if (lookahead == 's') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 11:
      if (lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 't') ADVANCE(47);
      if (lookahead == 'w') ADVANCE(48);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_u);
      if (lookahead == '1') ADVANCE(51);
      if (lookahead == '3') ADVANCE(52);
      if (lookahead == '6') ADVANCE(53);
      if (lookahead == '8') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(56);
      if (lookahead == 's') ADVANCE(57);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 17:
      if (lookahead == 'i') ADVANCE(59);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_z);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 20:
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(63);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(64);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(65);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 29:
      if (lookahead == '2') ADVANCE(69);
      END_STATE();
    case 30:
      if (lookahead == '4') ADVANCE(70);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 34:
      if (lookahead == '6') ADVANCE(73);
      END_STATE();
    case 35:
      if (lookahead == '2') ADVANCE(74);
      END_STATE();
    case 36:
      if (lookahead == '4') ADVANCE(75);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_i8);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 46:
      if (lookahead == 'z') ADVANCE(82);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(83);
      if (lookahead == 'r') ADVANCE(84);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 51:
      if (lookahead == '6') ADVANCE(88);
      END_STATE();
    case 52:
      if (lookahead == '2') ADVANCE(89);
      END_STATE();
    case 53:
      if (lookahead == '4') ADVANCE(90);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_u8);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 67:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_f32);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_f64);
      END_STATE();
    case 71:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_i16);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_i32);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_i64);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 80:
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_str);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_u16);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_u32);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_u64);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_use);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(118);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 97:
      if (lookahead == 'k') ADVANCE(120);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(125);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_null);
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_rune);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_size);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 113:
      if (lookahead == 'c') ADVANCE(130);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_uint);
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 126:
      if (lookahead == 'b') ADVANCE(135);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 130:
      if (lookahead == 'h') ADVANCE(139);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_uintptr);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_nullable);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 2},
  [10] = {.lex_state = 2},
  [11] = {.lex_state = 2},
  [12] = {.lex_state = 2},
  [13] = {.lex_state = 2},
  [14] = {.lex_state = 2},
  [15] = {.lex_state = 2},
  [16] = {.lex_state = 2},
  [17] = {.lex_state = 2},
  [18] = {.lex_state = 2},
  [19] = {.lex_state = 2},
  [20] = {.lex_state = 2},
  [21] = {.lex_state = 2},
  [22] = {.lex_state = 2},
  [23] = {.lex_state = 2},
  [24] = {.lex_state = 2},
  [25] = {.lex_state = 2},
  [26] = {.lex_state = 2},
  [27] = {.lex_state = 2},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 2},
  [31] = {.lex_state = 2},
  [32] = {.lex_state = 2},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 2},
  [35] = {.lex_state = 2},
  [36] = {.lex_state = 2},
  [37] = {.lex_state = 2},
  [38] = {.lex_state = 2},
  [39] = {.lex_state = 2},
  [40] = {.lex_state = 2},
  [41] = {.lex_state = 2},
  [42] = {.lex_state = 2},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 2},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 2},
  [50] = {.lex_state = 2},
  [51] = {.lex_state = 2},
  [52] = {.lex_state = 2},
  [53] = {.lex_state = 2},
  [54] = {.lex_state = 2},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 2},
  [58] = {.lex_state = 2},
  [59] = {.lex_state = 2},
  [60] = {.lex_state = 2},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 2},
  [64] = {.lex_state = 2},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 2},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 2},
  [71] = {.lex_state = 2},
  [72] = {.lex_state = 2},
  [73] = {.lex_state = 2},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 2},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 2},
  [80] = {.lex_state = 2},
  [81] = {.lex_state = 2},
  [82] = {.lex_state = 2},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 2},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 2},
  [88] = {.lex_state = 2},
  [89] = {.lex_state = 2},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 2},
  [94] = {.lex_state = 2},
  [95] = {.lex_state = 2},
  [96] = {.lex_state = 2},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 2},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 2},
  [103] = {.lex_state = 2},
  [104] = {.lex_state = 2},
  [105] = {.lex_state = 2},
  [106] = {.lex_state = 2},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 2},
  [110] = {.lex_state = 2},
  [111] = {.lex_state = 2},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 2},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 0},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 2},
  [134] = {.lex_state = 2},
  [135] = {.lex_state = 2},
  [136] = {.lex_state = 2},
  [137] = {.lex_state = 2},
  [138] = {.lex_state = 2},
  [139] = {.lex_state = 2},
  [140] = {.lex_state = 2},
  [141] = {.lex_state = 2},
  [142] = {.lex_state = 2},
  [143] = {.lex_state = 2},
  [144] = {.lex_state = 2},
  [145] = {.lex_state = 2},
  [146] = {.lex_state = 2},
  [147] = {.lex_state = 2},
  [148] = {.lex_state = 2},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 2},
  [152] = {.lex_state = 2},
  [153] = {.lex_state = 2},
  [154] = {.lex_state = 2},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 2},
  [157] = {.lex_state = 2},
  [158] = {.lex_state = 2},
  [159] = {.lex_state = 2},
  [160] = {.lex_state = 2},
  [161] = {.lex_state = 2},
  [162] = {.lex_state = 2},
  [163] = {.lex_state = 2},
  [164] = {.lex_state = 2},
  [165] = {.lex_state = 2},
  [166] = {.lex_state = 2},
  [167] = {.lex_state = 2},
  [168] = {.lex_state = 2},
  [169] = {.lex_state = 2},
  [170] = {.lex_state = 2},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 0},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 0},
  [175] = {.lex_state = 0},
  [176] = {.lex_state = 0},
  [177] = {.lex_state = 0},
  [178] = {.lex_state = 0},
  [179] = {.lex_state = 0},
  [180] = {.lex_state = 0},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 0},
  [183] = {.lex_state = 0},
  [184] = {.lex_state = 0},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 0},
  [187] = {.lex_state = 0},
  [188] = {.lex_state = 0},
  [189] = {.lex_state = 0},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 0},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 0},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 0},
  [199] = {.lex_state = 0},
  [200] = {.lex_state = 0},
  [201] = {.lex_state = 0},
  [202] = {.lex_state = 0},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 0},
  [205] = {.lex_state = 0},
  [206] = {.lex_state = 0},
  [207] = {.lex_state = 0},
  [208] = {.lex_state = 0},
  [209] = {.lex_state = 0},
  [210] = {.lex_state = 0},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 0},
  [213] = {.lex_state = 0},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 0},
  [216] = {.lex_state = 0},
  [217] = {.lex_state = 0},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 0},
  [221] = {.lex_state = 0},
  [222] = {.lex_state = 0},
  [223] = {.lex_state = 0},
  [224] = {.lex_state = 0},
  [225] = {.lex_state = 0},
  [226] = {.lex_state = 0},
  [227] = {.lex_state = 0},
  [228] = {.lex_state = 0},
  [229] = {.lex_state = 0},
  [230] = {.lex_state = 0},
  [231] = {.lex_state = 0},
  [232] = {.lex_state = 0},
  [233] = {.lex_state = 0},
  [234] = {.lex_state = 0},
  [235] = {.lex_state = 0},
  [236] = {.lex_state = 0},
  [237] = {.lex_state = 0},
  [238] = {.lex_state = 0},
  [239] = {.lex_state = 0},
  [240] = {.lex_state = 0},
  [241] = {.lex_state = 0},
  [242] = {.lex_state = 0},
  [243] = {.lex_state = 0},
  [244] = {.lex_state = 0},
  [245] = {.lex_state = 0},
  [246] = {.lex_state = 0},
  [247] = {.lex_state = 0},
  [248] = {.lex_state = 0},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 0},
  [254] = {.lex_state = 0},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 0},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 0},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 0},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 0},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 0},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 0},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 0},
  [336] = {.lex_state = 2},
  [337] = {.lex_state = 2},
  [338] = {.lex_state = 2},
  [339] = {.lex_state = 2},
  [340] = {.lex_state = 2},
  [341] = {.lex_state = 2},
  [342] = {.lex_state = 2},
  [343] = {.lex_state = 2},
  [344] = {.lex_state = 2},
  [345] = {.lex_state = 2},
  [346] = {.lex_state = 2},
  [347] = {.lex_state = 2},
  [348] = {.lex_state = 2},
  [349] = {.lex_state = 2},
  [350] = {.lex_state = 2},
  [351] = {.lex_state = 2},
  [352] = {.lex_state = 2},
  [353] = {.lex_state = 2},
  [354] = {.lex_state = 2},
  [355] = {.lex_state = 2},
  [356] = {.lex_state = 2},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 0},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 0},
  [383] = {.lex_state = 0},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 0},
  [386] = {.lex_state = 3},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 3},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 3},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 0},
  [404] = {.lex_state = 0},
  [405] = {.lex_state = 0},
  [406] = {.lex_state = 0},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 0},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 0},
  [414] = {.lex_state = 0},
  [415] = {.lex_state = 0},
  [416] = {.lex_state = 0},
  [417] = {.lex_state = 0},
  [418] = {.lex_state = 0},
  [419] = {.lex_state = 0},
  [420] = {.lex_state = 0},
  [421] = {.lex_state = 0},
  [422] = {.lex_state = 0},
  [423] = {.lex_state = 0},
  [424] = {.lex_state = 0},
  [425] = {.lex_state = 0},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 0},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 7},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 0},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 8},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 0},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 0},
  [445] = {.lex_state = 0},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 0},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 0},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 0},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 0},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 0},
  [478] = {.lex_state = 0},
  [479] = {.lex_state = 0},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 0},
  [482] = {.lex_state = 0},
  [483] = {.lex_state = 0},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 0},
  [486] = {.lex_state = 0},
  [487] = {.lex_state = 0},
  [488] = {.lex_state = 0},
  [489] = {.lex_state = 0},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 0},
  [496] = {.lex_state = 0},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 0},
  [500] = {.lex_state = 0},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 0},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 0},
  [508] = {.lex_state = 0},
  [509] = {.lex_state = 0},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 0},
  [514] = {.lex_state = 0},
  [515] = {.lex_state = 0},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 0},
  [518] = {.lex_state = 0},
  [519] = {.lex_state = 0},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 0},
  [527] = {.lex_state = 0},
  [528] = {.lex_state = 0},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 0},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 0},
  [534] = {.lex_state = 0},
  [535] = {.lex_state = 0},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 0},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 0},
  [540] = {.lex_state = 0},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 0},
  [546] = {.lex_state = 0},
  [547] = {.lex_state = 0},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 0},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 0},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 0},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 0},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 0},
  [567] = {.lex_state = 0},
  [568] = {.lex_state = 0},
  [569] = {.lex_state = 0},
  [570] = {.lex_state = 0},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 0},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 0},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 0},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 0},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 160},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_ATsymbol] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_ATfini] = ACTIONS(1),
    [anon_sym_ATinit] = ACTIONS(1),
    [anon_sym_ATtest] = ACTIONS(1),
    [anon_sym_ATnoreturn] = ACTIONS(1),
    [anon_sym_ATpacked] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_i8] = ACTIONS(1),
    [anon_sym_i16] = ACTIONS(1),
    [anon_sym_i32] = ACTIONS(1),
    [anon_sym_i64] = ACTIONS(1),
    [anon_sym_u8] = ACTIONS(1),
    [anon_sym_u16] = ACTIONS(1),
    [anon_sym_u32] = ACTIONS(1),
    [anon_sym_u64] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_uint] = ACTIONS(1),
    [anon_sym_size] = ACTIONS(1),
    [anon_sym_uintptr] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_f32] = ACTIONS(1),
    [anon_sym_f64] = ACTIONS(1),
    [anon_sym_rune] = ACTIONS(1),
    [anon_sym_str] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_nullable] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AToffset] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_number_token2] = ACTIONS(1),
    [aux_sym_float_token1] = ACTIONS(1),
    [aux_sym_float_token2] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
    [anon_sym_z] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_module] = STATE(631),
    [sym_imports] = STATE(357),
    [sym_use_statement] = STATE(363),
    [sym_declarations] = STATE(584),
    [sym_declaration] = STATE(585),
    [sym_global_declaration] = STATE(616),
    [sym_declaration_attribute] = STATE(391),
    [sym_constant_declaration] = STATE(616),
    [sym_type_declaration] = STATE(616),
    [sym_function_declaration] = STATE(616),
    [sym_function_attribute] = STATE(379),
    [aux_sym_imports_repeat1] = STATE(363),
    [aux_sym_declarations_repeat1] = STATE(360),
    [aux_sym_function_declaration_repeat1] = STATE(379),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_use] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_let] = ACTIONS(11),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_def] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_fn] = ACTIONS(19),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(181),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(29),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_else] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_LT_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_GT_EQ] = ACTIONS(29),
    [anon_sym_PIPE_EQ] = ACTIONS(29),
    [anon_sym_AMP_EQ] = ACTIONS(29),
    [anon_sym_CARET_EQ] = ACTIONS(29),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(29),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(29),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_CARET_CARET] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_EQ_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(29),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_is] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_QMARK] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(29),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(644),
    [sym_type] = STATE(201),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(77),
    [anon_sym_RBRACE] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(77),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_COLON] = ACTIONS(77),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_RPAREN] = ACTIONS(77),
    [anon_sym_fn] = ACTIONS(85),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(77),
    [anon_sym_DASH_EQ] = ACTIONS(77),
    [anon_sym_STAR_EQ] = ACTIONS(77),
    [anon_sym_SLASH_EQ] = ACTIONS(77),
    [anon_sym_PERCENT_EQ] = ACTIONS(77),
    [anon_sym_LT_LT_EQ] = ACTIONS(77),
    [anon_sym_GT_GT_EQ] = ACTIONS(77),
    [anon_sym_PIPE_EQ] = ACTIONS(77),
    [anon_sym_AMP_EQ] = ACTIONS(77),
    [anon_sym_CARET_EQ] = ACTIONS(77),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(77),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(77),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(75),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_CARET_CARET] = ACTIONS(75),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_EQ_EQ] = ACTIONS(77),
    [anon_sym_BANG_EQ] = ACTIONS(77),
    [anon_sym_GT] = ACTIONS(75),
    [anon_sym_GT_EQ] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(75),
    [anon_sym_LT_LT] = ACTIONS(75),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym_as] = ACTIONS(75),
    [anon_sym_is] = ACTIONS(75),
    [anon_sym_DOT_DOT] = ACTIONS(75),
    [anon_sym_DOT] = ACTIONS(75),
    [anon_sym_QMARK] = ACTIONS(77),
    [anon_sym_EQ_GT] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(644),
    [sym_type] = STATE(194),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(105),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_RPAREN] = ACTIONS(105),
    [anon_sym_fn] = ACTIONS(85),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(103),
    [anon_sym_PLUS_EQ] = ACTIONS(105),
    [anon_sym_DASH_EQ] = ACTIONS(105),
    [anon_sym_STAR_EQ] = ACTIONS(105),
    [anon_sym_SLASH_EQ] = ACTIONS(105),
    [anon_sym_PERCENT_EQ] = ACTIONS(105),
    [anon_sym_LT_LT_EQ] = ACTIONS(105),
    [anon_sym_GT_GT_EQ] = ACTIONS(105),
    [anon_sym_PIPE_EQ] = ACTIONS(105),
    [anon_sym_AMP_EQ] = ACTIONS(105),
    [anon_sym_CARET_EQ] = ACTIONS(105),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(105),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(105),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_CARET_CARET] = ACTIONS(103),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(103),
    [anon_sym_as] = ACTIONS(103),
    [anon_sym_is] = ACTIONS(103),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_EQ_GT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(644),
    [sym_type] = STATE(184),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_fn] = ACTIONS(85),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(107),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(107),
    [anon_sym_AMP] = ACTIONS(107),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(107),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_AMP_AMP] = ACTIONS(107),
    [anon_sym_CARET_CARET] = ACTIONS(107),
    [anon_sym_CARET] = ACTIONS(107),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_LT] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(107),
    [anon_sym_as] = ACTIONS(107),
    [anon_sym_is] = ACTIONS(107),
    [anon_sym_DOT_DOT] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(107),
    [anon_sym_QMARK] = ACTIONS(109),
    [anon_sym_EQ_GT] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(644),
    [sym_type] = STATE(213),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_fn] = ACTIONS(85),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_else] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_STAR_EQ] = ACTIONS(113),
    [anon_sym_SLASH_EQ] = ACTIONS(113),
    [anon_sym_PERCENT_EQ] = ACTIONS(113),
    [anon_sym_LT_LT_EQ] = ACTIONS(113),
    [anon_sym_GT_GT_EQ] = ACTIONS(113),
    [anon_sym_PIPE_EQ] = ACTIONS(113),
    [anon_sym_AMP_EQ] = ACTIONS(113),
    [anon_sym_CARET_EQ] = ACTIONS(113),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(113),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_CARET_CARET] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_LT] = ACTIONS(111),
    [anon_sym_GT_GT] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_DOT_DOT] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_GT] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(644),
    [sym_type] = STATE(246),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_COLON] = ACTIONS(117),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_RPAREN] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(85),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(117),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_PLUS_EQ] = ACTIONS(117),
    [anon_sym_DASH_EQ] = ACTIONS(117),
    [anon_sym_STAR_EQ] = ACTIONS(117),
    [anon_sym_SLASH_EQ] = ACTIONS(117),
    [anon_sym_PERCENT_EQ] = ACTIONS(117),
    [anon_sym_LT_LT_EQ] = ACTIONS(117),
    [anon_sym_GT_GT_EQ] = ACTIONS(117),
    [anon_sym_PIPE_EQ] = ACTIONS(117),
    [anon_sym_AMP_EQ] = ACTIONS(117),
    [anon_sym_CARET_EQ] = ACTIONS(117),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(117),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(117),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(115),
    [anon_sym_AMP_AMP] = ACTIONS(115),
    [anon_sym_CARET_CARET] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(117),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(117),
    [anon_sym_LT_EQ] = ACTIONS(117),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(115),
    [anon_sym_DOT_DOT] = ACTIONS(115),
    [anon_sym_DOT] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(117),
    [anon_sym_EQ_GT] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_declaration_attribute] = STATE(391),
    [sym_function_attribute] = STATE(635),
    [sym_type] = STATE(266),
    [sym_builtin_type] = STATE(214),
    [sym_pointer_type] = STATE(214),
    [sym_const_type] = STATE(214),
    [sym_error_type] = STATE(214),
    [sym_array_type] = STATE(214),
    [sym_enum_type] = STATE(214),
    [sym_slice_type] = STATE(214),
    [sym_struct_type] = STATE(214),
    [sym_tuple_type] = STATE(214),
    [sym_union_type] = STATE(214),
    [sym_tagged_union_type] = STATE(214),
    [sym_function_type] = STATE(214),
    [sym_unwrapped_type] = STATE(214),
    [sym_scoped_type_identifier] = STATE(171),
    [sym_identifier] = ACTIONS(73),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_COMMA] = ACTIONS(121),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_COLON] = ACTIONS(121),
    [anon_sym_ATsymbol] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_fn] = ACTIONS(127),
    [anon_sym_ATfini] = ACTIONS(21),
    [anon_sym_ATinit] = ACTIONS(21),
    [anon_sym_ATtest] = ACTIONS(21),
    [anon_sym_ATnoreturn] = ACTIONS(21),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(89),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_nullable] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_enum] = ACTIONS(97),
    [anon_sym_struct] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_PLUS_EQ] = ACTIONS(121),
    [anon_sym_DASH_EQ] = ACTIONS(121),
    [anon_sym_STAR_EQ] = ACTIONS(121),
    [anon_sym_SLASH_EQ] = ACTIONS(121),
    [anon_sym_PERCENT_EQ] = ACTIONS(121),
    [anon_sym_LT_LT_EQ] = ACTIONS(121),
    [anon_sym_GT_GT_EQ] = ACTIONS(121),
    [anon_sym_PIPE_EQ] = ACTIONS(121),
    [anon_sym_AMP_EQ] = ACTIONS(121),
    [anon_sym_CARET_EQ] = ACTIONS(121),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(121),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(121),
    [anon_sym_CARET_CARET_EQ] = ACTIONS(121),
    [anon_sym_PLUS] = ACTIONS(119),
    [anon_sym_DASH] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(119),
    [anon_sym_SLASH] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(119),
    [anon_sym_PIPE_PIPE] = ACTIONS(119),
    [anon_sym_AMP_AMP] = ACTIONS(119),
    [anon_sym_CARET_CARET] = ACTIONS(119),
    [anon_sym_CARET] = ACTIONS(119),
    [anon_sym_EQ_EQ] = ACTIONS(121),
    [anon_sym_BANG_EQ] = ACTIONS(121),
    [anon_sym_GT] = ACTIONS(119),
    [anon_sym_GT_EQ] = ACTIONS(121),
    [anon_sym_LT_EQ] = ACTIONS(121),
    [anon_sym_LT] = ACTIONS(119),
    [anon_sym_LT_LT] = ACTIONS(119),
    [anon_sym_GT_GT] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(119),
    [anon_sym_is] = ACTIONS(119),
    [anon_sym_DOT] = ACTIONS(119),
    [anon_sym_QMARK] = ACTIONS(121),
    [anon_sym_EQ_GT] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_builtin_type] = STATE(633),
    [sym_array_type] = STATE(633),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(290),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_let_expression] = STATE(633),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_let] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_i8] = ACTIONS(89),
    [anon_sym_i16] = ACTIONS(89),
    [anon_sym_i32] = ACTIONS(89),
    [anon_sym_i64] = ACTIONS(89),
    [anon_sym_u8] = ACTIONS(89),
    [anon_sym_u16] = ACTIONS(89),
    [anon_sym_u32] = ACTIONS(89),
    [anon_sym_u64] = ACTIONS(89),
    [anon_sym_int] = ACTIONS(89),
    [anon_sym_uint] = ACTIONS(89),
    [anon_sym_size] = ACTIONS(139),
    [anon_sym_uintptr] = ACTIONS(89),
    [anon_sym_char] = ACTIONS(89),
    [anon_sym_f32] = ACTIONS(89),
    [anon_sym_f64] = ACTIONS(89),
    [anon_sym_rune] = ACTIONS(89),
    [anon_sym_str] = ACTIONS(89),
    [anon_sym_bool] = ACTIONS(89),
    [anon_sym_void] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_LBRACE] = ACTIONS(152),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(157),
    [anon_sym_const] = ACTIONS(160),
    [anon_sym_let] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(166),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_size] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(178),
    [anon_sym_struct] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(184),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(190),
    [anon_sym_defer] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(196),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(202),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_TILDE] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(208),
    [anon_sym_match] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(214),
    [aux_sym_number_token1] = ACTIONS(216),
    [aux_sym_number_token2] = ACTIONS(216),
    [aux_sym_float_token1] = ACTIONS(219),
    [aux_sym_float_token2] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(222),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_SQUOTE] = ACTIONS(228),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [sym_null] = ACTIONS(234),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(251),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(255),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(259),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(14),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(12),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_statement] = STATE(336),
    [sym_expression_statement] = STATE(338),
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_break_statement] = STATE(338),
    [sym_defer_statement] = STATE(338),
    [sym_return_statement] = STATE(257),
    [sym_yield_statement] = STATE(338),
    [sym_static_operation] = STATE(338),
    [sym_let_declaration] = STATE(338),
    [sym_const_declaration] = STATE(338),
    [sym_expression] = STATE(327),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(239),
    [anon_sym_let] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_defer] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(274),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_variadic_argument] = STATE(481),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(269),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(297),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_let_expression] = STATE(581),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_let] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(273),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(325),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(275),
    [anon_sym_let] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(329),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym__] = ACTIONS(281),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(276),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_variadic_argument] = STATE(555),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(285),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(276),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_variadic_argument] = STATE(555),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(334),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(273),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(263),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(276),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_variadic_argument] = STATE(555),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(562),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(323),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(289),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(308),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(291),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(291),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(263),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(333),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(289),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(291),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_block] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_label] = STATE(610),
    [sym_return_statement] = STATE(257),
    [sym_expression] = STATE(301),
    [sym_assignment_expression] = STATE(257),
    [sym_update_expression] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_error_assertion_expression] = STATE(257),
    [sym_cast_expression] = STATE(257),
    [sym_size_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_range_expression] = STATE(257),
    [sym_member_expression] = STATE(257),
    [sym_try_expression] = STATE(257),
    [sym_parenthesis_expression] = STATE(257),
    [sym_switch_expression] = STATE(257),
    [sym_match_expression] = STATE(257),
    [sym_literal] = STATE(257),
    [sym_array_literal] = STATE(251),
    [sym_struct_literal] = STATE(251),
    [sym_tuple_literal] = STATE(251),
    [sym_number] = STATE(251),
    [sym_float] = STATE(251),
    [sym_string] = STATE(131),
    [sym_raw_string] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_rune] = STATE(251),
    [sym_boolean] = STATE(251),
    [sym_void] = STATE(251),
    [sym_scoped_type_identifier] = STATE(174),
    [sym_identifier] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_size] = ACTIONS(37),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_struct] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_AMP] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(317),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [aux_sym_number_token1] = ACTIONS(59),
    [aux_sym_number_token2] = ACTIONS(59),
    [aux_sym_float_token1] = ACTIONS(61),
    [aux_sym_float_token2] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(299), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [123] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(283), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [246] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(309), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [369] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(224), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [492] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(225), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [615] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(234), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [738] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(235), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [861] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(236), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [984] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(238), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1107] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(240), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1230] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(243), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1353] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(247), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1476] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(248), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1599] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(252), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1722] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(254), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1845] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(256), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [1968] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(293), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2091] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(335), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2214] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(312), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2337] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(319), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2460] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(284), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2583] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(292), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2706] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(307), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2829] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(310), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [2952] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(311), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3075] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(313), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3198] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(306), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3321] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(281), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3444] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(282), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3567] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(324), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3690] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(300), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3813] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(173), 1,
      sym_expression,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [3936] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(331), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4059] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(328), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4182] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(302), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4305] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(288), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4428] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(317), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4551] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(318), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4674] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(320), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4797] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(321), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [4920] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(277), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5043] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(278), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5166] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(289), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5289] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(291), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5412] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(271), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5535] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(263), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5658] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(314), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5781] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(315), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [5904] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(316), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6027] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(279), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6150] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(296), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6273] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(280), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6396] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(294), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6519] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(237), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6642] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(241), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6765] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(322), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [6888] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(242), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7011] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(182), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7134] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(330), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7257] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(332), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7380] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(326), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7503] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(275), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7626] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(285), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7749] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(286), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7872] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(272), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [7995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(185), 1,
      sym_integer_suffix,
    ACTIONS(325), 2,
      anon_sym_i,
      anon_sym_u,
    ACTIONS(323), 9,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_z,
    ACTIONS(319), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(321), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [8072] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(298), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8195] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(305), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8318] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(255), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8441] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(287), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8564] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(304), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8687] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(295), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8810] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_size,
    ACTIONS(39), 1,
      anon_sym_void,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(45), 1,
      anon_sym_if,
    ACTIONS(47), 1,
      anon_sym_for,
    ACTIONS(49), 1,
      anon_sym_return,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_match,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_SQUOTE,
    ACTIONS(71), 1,
      sym_null,
    ACTIONS(145), 1,
      anon_sym_AMP,
    STATE(131), 1,
      sym_string,
    STATE(174), 1,
      sym_scoped_type_identifier,
    STATE(199), 1,
      sym_expression,
    STATE(610), 1,
      sym_label,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
    ACTIONS(61), 2,
      aux_sym_float_token1,
      aux_sym_float_token2,
    ACTIONS(69), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(51), 5,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(251), 10,
      sym_array_literal,
      sym_struct_literal,
      sym_tuple_literal,
      sym_number,
      sym_float,
      sym_raw_string,
      sym_concatenated_string,
      sym_rune,
      sym_boolean,
      sym_void,
    STATE(257), 20,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_return_statement,
      sym_assignment_expression,
      sym_update_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_error_assertion_expression,
      sym_cast_expression,
      sym_size_expression,
      sym_call_expression,
      sym_index_expression,
      sym_range_expression,
      sym_member_expression,
      sym_try_expression,
      sym_parenthesis_expression,
      sym_switch_expression,
      sym_match_expression,
      sym_literal,
  [8933] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(103), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(194), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    ACTIONS(105), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9041] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(246), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    ACTIONS(117), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9149] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(107), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(184), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    ACTIONS(109), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9257] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(213), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    ACTIONS(113), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9365] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(75), 1,
      anon_sym_EQ,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(201), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    ACTIONS(77), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9473] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(331), 1,
      anon_sym_EQ,
    ACTIONS(333), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(543), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9576] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(335), 1,
      anon_sym_EQ,
    ACTIONS(337), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(558), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9679] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      anon_sym_EQ,
    ACTIONS(341), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(551), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9782] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(343), 1,
      anon_sym_EQ,
    ACTIONS(345), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(534), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(347), 1,
      anon_sym_EQ,
    ACTIONS(349), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(544), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [9988] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(351), 1,
      anon_sym_EQ,
    ACTIONS(353), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(539), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10091] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(355), 1,
      anon_sym_EQ,
    ACTIONS(357), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(563), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10194] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      anon_sym_EQ,
    ACTIONS(361), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(540), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    STATE(130), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(363), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(365), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [10363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    STATE(130), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(367), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(369), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [10429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    STATE(129), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(374), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(376), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [10495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    ACTIONS(378), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(402), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10595] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(472), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(560), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10789] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(556), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10886] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(449), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [10983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(549), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(189), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(239), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11274] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(211), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(615), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(415), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(587), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11662] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(212), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11759] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(624), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(258), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [11953] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(259), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12050] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(439), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12147] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(535), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12244] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(590), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    STATE(641), 1,
      sym_type,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12438] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(408), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12535] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(552), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(400), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12729] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(217), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12826] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(266), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [12923] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(617), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(499), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13117] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(498), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(270), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(424), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      anon_sym_const,
    ACTIONS(127), 1,
      anon_sym_fn,
    ACTIONS(129), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(131), 1,
      anon_sym_nullable,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_STAR,
    ACTIONS(329), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(603), 1,
      sym_type,
    STATE(635), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13505] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(189), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13602] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(239), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(212), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13796] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(266), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(211), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [13990] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(217), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [14087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(270), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [14184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(73), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_const,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(85), 1,
      anon_sym_fn,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_nullable,
    ACTIONS(95), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 1,
      anon_sym_enum,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_BANG,
    STATE(171), 1,
      sym_scoped_type_identifier,
    STATE(227), 1,
      sym_type,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(644), 1,
      sym_function_attribute,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(214), 13,
      sym_builtin_type,
      sym_pointer_type,
      sym_const_type,
      sym_error_type,
      sym_array_type,
      sym_enum_type,
      sym_slice_type,
      sym_struct_type,
      sym_tuple_type,
      sym_union_type,
      sym_tagged_union_type,
      sym_function_type,
      sym_unwrapped_type,
    ACTIONS(89), 19,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_uint,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [14281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(384), 20,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(388), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(390), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(392), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
      anon_sym_DQUOTE,
  [14403] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(410), 1,
      anon_sym_else,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    STATE(222), 1,
      sym_else_statement,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(396), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [14511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(446), 1,
      anon_sym_LBRACE,
    ACTIONS(444), 20,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(448), 30,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(452), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
      anon_sym_DQUOTE,
  [14635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 20,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(456), 32,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(460), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(464), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(468), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(472), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [14931] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(476), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(474), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [15034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(478), 18,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
    ACTIONS(480), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(482), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(484), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(488), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(492), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(496), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(500), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(504), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(508), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(510), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(512), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(516), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(520), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(522), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(524), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(526), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(528), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(532), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(536), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(540), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [15984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(121), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16043] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(544), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(542), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [16146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(548), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(552), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(556), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(560), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(564), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(568), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(572), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(576), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(580), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(584), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(588), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(592), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(594), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(596), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(600), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [16972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(384), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(388), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(604), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(608), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(612), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(616), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(620), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(624), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(628), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(632), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(636), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17562] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(640), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(638), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [17665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(642), 18,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
    ACTIONS(644), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(648), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(652), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(656), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(660), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [17972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(664), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(668), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(672), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(676), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18208] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 7,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(680), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(678), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [18398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 15,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
    ACTIONS(644), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18471] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(682), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [18574] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 9,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(688), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18716] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [18807] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(692), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(690), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [18910] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(696), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(694), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [19013] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 6,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(700), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(704), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(708), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19279] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 4,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_CARET_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(712), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(716), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(376), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19634] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 9,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_DOT_DOT,
    ACTIONS(644), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(718), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(720), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19774] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(644), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [19851] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(724), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(722), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [19954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(642), 13,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
    ACTIONS(644), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(448), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(726), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(728), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(732), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(736), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(740), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(744), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(746), 18,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
    ACTIONS(748), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(752), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(756), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(760), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(764), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(768), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(772), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 19,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DOT,
    ACTIONS(776), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_else,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
  [20861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    ACTIONS(782), 1,
      anon_sym_DOT,
    STATE(421), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(780), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [20960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    ACTIONS(782), 1,
      anon_sym_DOT,
    STATE(428), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(784), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21059] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(786), 1,
      anon_sym_COMMA,
    ACTIONS(788), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(790), 1,
      anon_sym_RBRACK,
    STATE(466), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21160] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(792), 1,
      anon_sym_COMMA,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
    ACTIONS(796), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(471), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_SEMI,
    STATE(515), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(796), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(802), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(804), 1,
      anon_sym_SEMI,
    STATE(500), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(808), 1,
      anon_sym_SEMI,
    STATE(501), 1,
      aux_sym_let_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(810), 1,
      anon_sym_SEMI,
    STATE(508), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21749] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(812), 1,
      anon_sym_SEMI,
    STATE(511), 1,
      aux_sym_let_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(814), 1,
      anon_sym_SEMI,
    STATE(475), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [21945] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(816), 1,
      anon_sym_SEMI,
    STATE(478), 1,
      aux_sym_let_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22043] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(818), 1,
      anon_sym_COMMA,
    ACTIONS(820), 1,
      anon_sym_SEMI,
    STATE(507), 1,
      aux_sym_constant_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22141] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_COMMA,
    ACTIONS(824), 1,
      anon_sym_RPAREN,
    STATE(462), 1,
      aux_sym_case_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(826), 1,
      anon_sym_SEMI,
    STATE(516), 1,
      aux_sym_let_declaration_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22337] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(828), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22431] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(830), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_COMMA,
    ACTIONS(832), 1,
      anon_sym_RPAREN,
    STATE(462), 1,
      aux_sym_case_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22623] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(834), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(836), 1,
      anon_sym_COMMA,
    ACTIONS(838), 1,
      anon_sym_EQ_GT,
    STATE(488), 1,
      aux_sym_case_repeat1,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22815] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(842), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(840), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [22911] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23004] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(846), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23097] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(850), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23283] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(852), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23376] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(854), 1,
      anon_sym_SEMI,
    ACTIONS(856), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23471] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(858), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23564] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(860), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23657] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(862), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23750] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(440), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(864), 1,
      anon_sym_RBRACK,
    ACTIONS(866), 1,
      anon_sym_DOT_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23845] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(868), 1,
      anon_sym_SEMI,
    ACTIONS(870), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [23940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_EQ_GT,
    ACTIONS(522), 17,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET_CARET,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(524), 25,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_QMARK,
  [23993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(875), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24086] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(877), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24179] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(879), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24271] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(883), 1,
      anon_sym_RBRACK,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24455] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24547] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(887), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24639] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(889), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24731] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(891), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24823] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(893), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [24915] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(895), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25007] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(897), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25099] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(899), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(901), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25283] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(903), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25375] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(905), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25467] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(907), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25559] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(909), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25651] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25743] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(913), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(915), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [25927] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(917), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26019] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(919), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(921), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(923), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26295] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      anon_sym_RBRACK,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26387] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26571] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26663] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_RBRACK,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_RBRACK,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26847] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_EQ,
    ACTIONS(400), 1,
      anon_sym_COLON,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_BANG,
    ACTIONS(406), 1,
      anon_sym_LBRACK,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_AMP,
    ACTIONS(418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(422), 1,
      anon_sym_CARET_CARET,
    ACTIONS(424), 1,
      anon_sym_CARET,
    ACTIONS(434), 1,
      anon_sym_as,
    ACTIONS(436), 1,
      anon_sym_is,
    ACTIONS(442), 1,
      anon_sym_QMARK,
    ACTIONS(782), 1,
      anon_sym_DOT,
    ACTIONS(931), 1,
      anon_sym_SEMI,
    ACTIONS(414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(430), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(432), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(398), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(412), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_CARET_CARET_EQ,
  [26939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(933), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [26984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(937), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(941), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(945), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(953), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(957), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(961), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(965), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(969), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(973), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(977), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(981), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(985), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(989), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(993), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(997), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1001), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1005), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1009), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      aux_sym_float_token1,
      aux_sym_float_token2,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1013), 21,
      anon_sym_const,
      anon_sym_let,
      anon_sym_size,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_if,
      anon_sym_for,
      anon_sym_break,
      anon_sym_defer,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_static,
      anon_sym_switch,
      anon_sym_match,
      anon_sym_case,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      sym_identifier,
  [27884] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_export,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(15), 1,
      anon_sym_def,
    ACTIONS(17), 1,
      anon_sym_type,
    ACTIONS(19), 1,
      anon_sym_fn,
    ACTIONS(1017), 1,
      ts_builtin_sym_end,
    STATE(360), 1,
      aux_sym_declarations_repeat1,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(571), 1,
      sym_declarations,
    STATE(585), 1,
      sym_declaration,
    ACTIONS(11), 2,
      anon_sym_const,
      anon_sym_let,
    STATE(379), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(616), 4,
      sym_global_declaration,
      sym_constant_declaration,
      sym_type_declaration,
      sym_function_declaration,
  [27938] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      ts_builtin_sym_end,
    ACTIONS(1021), 1,
      anon_sym_export,
    ACTIONS(1027), 1,
      anon_sym_ATsymbol,
    ACTIONS(1030), 1,
      anon_sym_def,
    ACTIONS(1033), 1,
      anon_sym_type,
    ACTIONS(1036), 1,
      anon_sym_fn,
    STATE(358), 1,
      aux_sym_declarations_repeat1,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(585), 1,
      sym_declaration,
    ACTIONS(1024), 2,
      anon_sym_const,
      anon_sym_let,
    STATE(379), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(1039), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(616), 4,
      sym_global_declaration,
      sym_constant_declaration,
      sym_type_declaration,
      sym_function_declaration,
  [27989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_uint,
    ACTIONS(1042), 1,
      anon_sym_LBRACE,
    STATE(582), 1,
      sym_builtin_type,
    ACTIONS(1044), 18,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_int,
      anon_sym_size,
      anon_sym_uintptr,
      anon_sym_char,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_rune,
      anon_sym_str,
      anon_sym_bool,
      anon_sym_void,
  [28022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_export,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(15), 1,
      anon_sym_def,
    ACTIONS(17), 1,
      anon_sym_type,
    ACTIONS(19), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      ts_builtin_sym_end,
    STATE(358), 1,
      aux_sym_declarations_repeat1,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(585), 1,
      sym_declaration,
    ACTIONS(11), 2,
      anon_sym_const,
      anon_sym_let,
    STATE(379), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(616), 4,
      sym_global_declaration,
      sym_constant_declaration,
      sym_type_declaration,
      sym_function_declaration,
  [28073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(15), 1,
      anon_sym_def,
    ACTIONS(17), 1,
      anon_sym_type,
    ACTIONS(19), 1,
      anon_sym_fn,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(619), 1,
      sym_declaration,
    ACTIONS(11), 2,
      anon_sym_const,
      anon_sym_let,
    STATE(379), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
    STATE(616), 4,
      sym_global_declaration,
      sym_constant_declaration,
      sym_type_declaration,
      sym_function_declaration,
  [28115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_use,
    STATE(362), 2,
      sym_use_statement,
      aux_sym_imports_repeat1,
    ACTIONS(1048), 12,
      ts_builtin_sym_end,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_use,
    STATE(362), 2,
      sym_use_statement,
      aux_sym_imports_repeat1,
    ACTIONS(1053), 12,
      ts_builtin_sym_end,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 13,
      ts_builtin_sym_end,
      anon_sym_use,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 13,
      ts_builtin_sym_end,
      anon_sym_use,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 13,
      ts_builtin_sym_end,
      anon_sym_use,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 13,
      ts_builtin_sym_end,
      anon_sym_use,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 13,
      ts_builtin_sym_end,
      anon_sym_use,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 12,
      ts_builtin_sym_end,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 12,
      ts_builtin_sym_end,
      anon_sym_export,
      anon_sym_const,
      anon_sym_let,
      anon_sym_ATsymbol,
      anon_sym_def,
      anon_sym_type,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28296] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_RBRACE,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28328] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    ACTIONS(1073), 1,
      anon_sym_RBRACE,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28360] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    ACTIONS(1075), 1,
      anon_sym_RBRACE,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28392] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    ACTIONS(1077), 1,
      anon_sym_RBRACE,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28424] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    ACTIONS(1079), 1,
      anon_sym_RBRACE,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_ATsymbol,
    ACTIONS(1084), 1,
      anon_sym_fn,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(376), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(1086), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(442), 1,
      sym_field,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(532), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(1089), 1,
      anon_sym_fn,
    STATE(391), 1,
      sym_declaration_attribute,
    STATE(376), 2,
      sym_function_attribute,
      aux_sym_function_declaration_repeat1,
    ACTIONS(21), 4,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28560] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(503), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_AToffset,
    STATE(388), 1,
      sym_offset_specifier,
    STATE(445), 1,
      sym_scoped_type_identifier,
    STATE(452), 1,
      sym_field,
    STATE(561), 2,
      sym_struct_type,
      sym_union_type,
  [28618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    ACTIONS(1093), 1,
      anon_sym_RBRACE,
    ACTIONS(1095), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
    STATE(550), 1,
      sym_field_assignment,
  [28643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    ACTIONS(1097), 1,
      anon_sym_RBRACE,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
    STATE(550), 1,
      sym_field_assignment,
  [28668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 2,
      anon_sym_fn,
      sym_identifier,
    ACTIONS(1103), 5,
      anon_sym_ATsymbol,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    ACTIONS(1093), 1,
      anon_sym_RBRACE,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
    STATE(550), 1,
      sym_field_assignment,
  [28705] = 5,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_string_content,
    ACTIONS(1113), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(386), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [28723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    ACTIONS(1097), 1,
      anon_sym_RBRACE,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
    STATE(550), 1,
      sym_field_assignment,
  [28745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_struct,
    ACTIONS(101), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      sym_identifier,
    STATE(502), 1,
      sym_scoped_type_identifier,
    STATE(548), 2,
      sym_struct_type,
      sym_union_type,
  [28765] = 5,
    ACTIONS(1113), 1,
      sym_comment,
    ACTIONS(1117), 1,
      anon_sym_DQUOTE,
    ACTIONS(1119), 1,
      sym_string_content,
    ACTIONS(1121), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(386), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [28783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    ACTIONS(1123), 1,
      anon_sym_EQ,
    ACTIONS(1127), 1,
      anon_sym_COLON,
    STATE(412), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(1125), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [28803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 6,
      anon_sym_ATsymbol,
      anon_sym_fn,
      anon_sym_ATfini,
      anon_sym_ATinit,
      anon_sym_ATtest,
      anon_sym_ATnoreturn,
  [28815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(473), 1,
      sym_field_assignment,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
  [28837] = 5,
    ACTIONS(1113), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1135), 1,
      sym_string_content,
    ACTIONS(1137), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(389), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [28855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_RPAREN,
    STATE(523), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [28872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    ACTIONS(1147), 1,
      anon_sym_SEMI,
    ACTIONS(1149), 1,
      anon_sym_COLON,
    STATE(451), 1,
      aux_sym_let_declaration_repeat1,
  [28891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(1151), 1,
      anon_sym_EQ,
    ACTIONS(1153), 1,
      anon_sym_SEMI,
    ACTIONS(1155), 1,
      anon_sym_COLON,
    STATE(520), 1,
      aux_sym_let_declaration_repeat1,
  [28910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
    STATE(550), 1,
      sym_field_assignment,
  [28929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_COMMA,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(505), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [28946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_EQ,
    ACTIONS(1165), 1,
      anon_sym_COLON,
    ACTIONS(1163), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [28961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(421), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(780), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [28978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_struct,
    ACTIONS(1091), 1,
      sym_identifier,
    STATE(469), 1,
      sym_field_assignment,
    STATE(533), 1,
      sym_struct_literal,
    STATE(542), 1,
      sym_scoped_type_identifier,
  [28997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 1,
      anon_sym_PIPE,
    STATE(476), 1,
      aux_sym_tuple_type_repeat1,
    STATE(477), 1,
      aux_sym_tagged_union_type_repeat1,
  [29016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_COMMA,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(480), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_COMMA,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(487), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    STATE(521), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_COMMA,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(808), 1,
      anon_sym_SEMI,
    ACTIONS(1193), 1,
      anon_sym_EQ,
    STATE(501), 1,
      aux_sym_let_declaration_repeat1,
  [29114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1195), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [29128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_RBRACE,
    ACTIONS(1201), 1,
      anon_sym_case,
    STATE(417), 2,
      sym_case,
      aux_sym_switch_expression_repeat1,
  [29142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    STATE(414), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(1205), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [29170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_COMMA,
    STATE(414), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(1163), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [29198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(816), 1,
      anon_sym_SEMI,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    STATE(478), 1,
      aux_sym_let_declaration_repeat1,
  [29214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_RBRACE,
    ACTIONS(1218), 1,
      anon_sym_case,
    STATE(417), 2,
      sym_case,
      aux_sym_switch_expression_repeat1,
  [29242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_case,
    ACTIONS(1221), 1,
      anon_sym_RBRACE,
    STATE(417), 2,
      sym_case,
      aux_sym_switch_expression_repeat1,
  [29256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1225), 1,
      anon_sym_COLON,
    ACTIONS(1223), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [29270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(446), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_EQ,
    ACTIONS(1229), 1,
      anon_sym_COLON,
  [29286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    STATE(414), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(1231), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [29300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [29310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(1233), 1,
      sym_identifier,
    STATE(554), 1,
      sym_global_binding,
    STATE(591), 1,
      sym_declaration_attribute,
  [29326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ,
    ACTIONS(828), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [29338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ,
    ACTIONS(1243), 1,
      anon_sym_COLON,
    ACTIONS(1241), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_COMMA,
    STATE(414), 1,
      aux_sym_let_expression_repeat1,
    ACTIONS(1247), 2,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [29394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_ATsymbol,
    ACTIONS(1233), 1,
      sym_identifier,
    STATE(446), 1,
      sym_global_binding,
    STATE(591), 1,
      sym_declaration_attribute,
  [29410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_case,
    ACTIONS(1251), 1,
      anon_sym_RBRACE,
    STATE(410), 2,
      sym_case,
      aux_sym_switch_expression_repeat1,
  [29438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym_identifier,
    STATE(261), 1,
      sym_number,
    ACTIONS(59), 2,
      aux_sym_number_token1,
      aux_sym_number_token2,
  [29452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_RPAREN,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [29494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_case,
    ACTIONS(1261), 1,
      anon_sym_RBRACE,
    STATE(418), 2,
      sym_case,
      aux_sym_switch_expression_repeat1,
  [29508] = 3,
    ACTIONS(1113), 1,
      sym_comment,
    STATE(588), 1,
      sym__escape_sequence,
    ACTIONS(1263), 3,
      aux_sym_rune_token1,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [29520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_COMMA,
    STATE(438), 1,
      aux_sym_case_repeat1,
    ACTIONS(834), 2,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
  [29534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      anon_sym_COMMA,
    ACTIONS(1270), 1,
      anon_sym_SEMI,
    STATE(453), 1,
      aux_sym_type_declaration_repeat1,
  [29547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1276), 1,
      anon_sym_SEMI,
  [29560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(1281), 1,
      anon_sym_RBRACE,
    STATE(441), 1,
      aux_sym_use_statement_repeat1,
  [29573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    ACTIONS(1285), 1,
      anon_sym_RBRACE,
    STATE(497), 1,
      aux_sym_struct_type_repeat1,
  [29586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_COMMA,
    ACTIONS(1290), 1,
      anon_sym_RPAREN,
    STATE(443), 1,
      aux_sym_tuple_type_repeat1,
  [29599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_COMMA,
    STATE(444), 1,
      aux_sym_array_literal_repeat1,
  [29612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1195), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [29623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COMMA,
    ACTIONS(1297), 1,
      anon_sym_SEMI,
    STATE(513), 1,
      aux_sym_global_declaration_repeat1,
  [29636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_SEMI,
    ACTIONS(1299), 1,
      anon_sym_COMMA,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [29649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 1,
      anon_sym_RPAREN,
    ACTIONS(1304), 1,
      anon_sym_PIPE,
    STATE(448), 1,
      aux_sym_tagged_union_type_repeat1,
  [29662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_EQ,
    ACTIONS(1309), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1311), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [29686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(816), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [29699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_COMMA,
    ACTIONS(1315), 1,
      anon_sym_RBRACE,
    STATE(504), 1,
      aux_sym_struct_type_repeat1,
  [29712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      anon_sym_COMMA,
    ACTIONS(1319), 1,
      anon_sym_SEMI,
    STATE(484), 1,
      aux_sym_type_declaration_repeat1,
  [29725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_RBRACE,
    ACTIONS(1321), 1,
      anon_sym_COMMA,
    STATE(455), 1,
      aux_sym_struct_literal_repeat1,
  [29738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_COMMA,
    ACTIONS(1326), 1,
      anon_sym_RBRACE,
    STATE(455), 1,
      aux_sym_struct_literal_repeat1,
  [29751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 1,
      anon_sym_LBRACE,
    ACTIONS(1330), 1,
      anon_sym_ATpacked,
    STATE(622), 1,
      sym_struct_attribute,
  [29764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 1,
      sym_identifier,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(565), 1,
      sym_tuple_literal,
  [29777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      anon_sym_COMMA,
    ACTIONS(1338), 1,
      anon_sym_RBRACE,
    STATE(494), 1,
      aux_sym_enum_type_repeat1,
  [29790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1340), 1,
      sym_identifier,
    STATE(395), 1,
      sym_tuple_literal,
  [29803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_RBRACE,
    ACTIONS(1342), 1,
      anon_sym_COMMA,
    STATE(455), 1,
      aux_sym_struct_literal_repeat1,
  [29816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    ACTIONS(1344), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [29829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(438), 1,
      aux_sym_case_repeat1,
  [29842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_COMMA,
    ACTIONS(1350), 1,
      anon_sym_RPAREN,
    STATE(526), 1,
      aux_sym_function_declaration_repeat2,
  [29855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_RPAREN,
    ACTIONS(1352), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      aux_sym_call_expression_repeat1,
  [29868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      anon_sym_RBRACK,
    ACTIONS(1355), 1,
      anon_sym_COMMA,
    STATE(525), 1,
      aux_sym_array_literal_repeat1,
  [29881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      anon_sym_RBRACK,
    ACTIONS(1355), 1,
      anon_sym_COMMA,
    STATE(444), 1,
      aux_sym_array_literal_repeat1,
  [29894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    ACTIONS(1359), 1,
      anon_sym_RBRACE,
    STATE(541), 1,
      sym_enum_field,
  [29907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_COMMA,
    ACTIONS(1365), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      aux_sym_struct_literal_repeat1,
  [29929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_COMMA,
    ACTIONS(1369), 1,
      anon_sym_RBRACE,
    STATE(441), 1,
      aux_sym_use_statement_repeat1,
  [29942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_RPAREN,
    ACTIONS(1371), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      aux_sym_call_expression_repeat1,
  [29955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_EQ,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_RBRACE,
    ACTIONS(1377), 1,
      anon_sym_COMMA,
    STATE(460), 1,
      aux_sym_struct_literal_repeat1,
  [29979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1379), 1,
      sym_identifier,
    STATE(557), 1,
      sym_tuple_literal,
  [29992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(804), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      aux_sym_const_declaration_repeat1,
  [30005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_RPAREN,
    STATE(443), 1,
      aux_sym_tuple_type_repeat1,
  [30018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_RPAREN,
    STATE(448), 1,
      aux_sym_tagged_union_type_repeat1,
  [30031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(808), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [30044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_COMMA,
    ACTIONS(1388), 1,
      anon_sym_SEMI,
    STATE(479), 1,
      aux_sym_global_declaration_repeat1,
  [30057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    ACTIONS(1390), 1,
      anon_sym_COMMA,
    STATE(450), 1,
      aux_sym_function_declaration_repeat2,
  [30070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 1,
      anon_sym_COMMA,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
    STATE(471), 1,
      aux_sym_call_expression_repeat1,
  [30083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      sym_identifier,
    STATE(553), 1,
      sym_tuple_literal,
  [30096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1394), 1,
      sym_identifier,
    STATE(396), 1,
      sym_tuple_literal,
  [30109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      anon_sym_COMMA,
    ACTIONS(1399), 1,
      anon_sym_SEMI,
    STATE(484), 1,
      aux_sym_type_declaration_repeat1,
  [30122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(1401), 1,
      anon_sym_SEMI,
    STATE(609), 1,
      sym_label,
  [30135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_RBRACE,
    STATE(541), 1,
      sym_enum_field,
  [30148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_COMMA,
    ACTIONS(1407), 1,
      anon_sym_RPAREN,
    STATE(461), 1,
      aux_sym_function_declaration_repeat2,
  [30161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_COMMA,
    ACTIONS(1409), 1,
      anon_sym_EQ_GT,
    STATE(438), 1,
      aux_sym_case_repeat1,
  [30174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_COMMA,
    ACTIONS(1416), 1,
      anon_sym_RBRACE,
    STATE(490), 1,
      aux_sym_enum_type_repeat1,
  [30196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_COMMA,
    ACTIONS(1420), 1,
      anon_sym_RBRACE,
    STATE(470), 1,
      aux_sym_use_statement_repeat1,
  [30209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    ACTIONS(1422), 1,
      anon_sym_RBRACE,
    STATE(541), 1,
      sym_enum_field,
  [30222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_RBRACE,
    ACTIONS(1424), 1,
      anon_sym_COMMA,
    STATE(490), 1,
      aux_sym_enum_type_repeat1,
  [30235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_RBRACE,
    ACTIONS(1426), 1,
      anon_sym_COMMA,
    STATE(490), 1,
      aux_sym_enum_type_repeat1,
  [30248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_RBRACE,
    ACTIONS(1426), 1,
      anon_sym_COMMA,
    STATE(493), 1,
      aux_sym_enum_type_repeat1,
  [30261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_COMMA,
    ACTIONS(1431), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      aux_sym_const_declaration_repeat1,
  [30274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_RBRACE,
    ACTIONS(1433), 1,
      anon_sym_COMMA,
    STATE(509), 1,
      aux_sym_struct_type_repeat1,
  [30287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_EQ,
    ACTIONS(852), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(810), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      aux_sym_const_declaration_repeat1,
  [30322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(812), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [30335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1223), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_RBRACE,
    ACTIONS(1433), 1,
      anon_sym_COMMA,
    STATE(512), 1,
      aux_sym_struct_type_repeat1,
  [30359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_RBRACE,
    ACTIONS(1441), 1,
      anon_sym_COMMA,
    STATE(509), 1,
      aux_sym_struct_type_repeat1,
  [30372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1311), 1,
      anon_sym_COMMA,
    STATE(517), 1,
      aux_sym_function_declaration_repeat2,
  [30385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym_identifier,
    ACTIONS(1445), 1,
      anon_sym_LBRACE,
    ACTIONS(1447), 1,
      anon_sym_STAR,
  [30398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_COMMA,
    ACTIONS(1449), 1,
      anon_sym_SEMI,
    STATE(519), 1,
      aux_sym_constant_declaration_repeat1,
  [30411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      aux_sym_const_declaration_repeat1,
  [30424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_COMMA,
    ACTIONS(1454), 1,
      anon_sym_RBRACE,
    STATE(509), 1,
      aux_sym_struct_type_repeat1,
  [30437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(545), 1,
      sym_parameter,
    ACTIONS(1139), 2,
      anon_sym__,
      sym_identifier,
  [30448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(826), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [30461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_RBRACE,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    STATE(509), 1,
      aux_sym_struct_type_repeat1,
  [30474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COMMA,
    ACTIONS(1458), 1,
      anon_sym_SEMI,
    STATE(479), 1,
      aux_sym_global_declaration_repeat1,
  [30487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_COMMA,
    ACTIONS(1463), 1,
      anon_sym_RPAREN,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [30500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(1465), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      aux_sym_const_declaration_repeat1,
  [30513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(1467), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [30526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    ACTIONS(1469), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [30539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      sym_identifier,
    STATE(426), 1,
      sym_tuple_literal,
  [30552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_COMMA,
    ACTIONS(1476), 1,
      anon_sym_SEMI,
    STATE(519), 1,
      aux_sym_constant_declaration_repeat1,
  [30565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(1147), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      aux_sym_let_declaration_repeat1,
  [30578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_RPAREN,
    ACTIONS(1478), 1,
      anon_sym_COMMA,
    STATE(522), 1,
      aux_sym_function_declaration_repeat2,
  [30591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    ACTIONS(1480), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [30604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    ACTIONS(1480), 1,
      anon_sym_COMMA,
    STATE(524), 1,
      aux_sym_function_declaration_repeat2,
  [30617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_RPAREN,
    ACTIONS(1482), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [30630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(315), 1,
      anon_sym_RBRACK,
    ACTIONS(1484), 1,
      anon_sym_COMMA,
    STATE(444), 1,
      aux_sym_array_literal_repeat1,
  [30643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_RPAREN,
    ACTIONS(1486), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_function_declaration_repeat2,
  [30656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_EQ,
    ACTIONS(1490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    STATE(495), 1,
      sym_enum_field,
  [30677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_DQUOTE,
    STATE(611), 1,
      sym_string,
  [30687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      sym_identifier,
    ACTIONS(1494), 1,
      anon_sym_SEMI,
  [30697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_SEMI,
    ACTIONS(1492), 1,
      sym_identifier,
  [30707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_EQ,
    ACTIONS(1500), 1,
      anon_sym_SEMI,
  [30733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    STATE(458), 1,
      sym_enum_field,
  [30751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      sym_identifier,
    STATE(566), 1,
      sym_scoped_type_identifier,
  [30761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_EQ,
    ACTIONS(1510), 1,
      anon_sym_SEMI,
  [30779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(1514), 1,
      anon_sym_SEMI,
  [30789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(446), 1,
      anon_sym_LBRACE,
  [30807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_EQ,
    ACTIONS(1518), 1,
      anon_sym_SEMI,
  [30817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1522), 1,
      anon_sym_SEMI,
  [30827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_RBRACE,
  [30853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_EQ,
    ACTIONS(1532), 1,
      anon_sym_SEMI,
  [30887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [30895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    ACTIONS(1536), 1,
      anon_sym_COLON,
  [30905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_EQ,
    ACTIONS(1542), 1,
      anon_sym_COLON,
  [30939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_EQ,
    ACTIONS(1546), 1,
      anon_sym_SEMI,
  [30949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_RBRACE,
    ACTIONS(1526), 1,
      sym_identifier,
  [30959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_LBRACE,
    ACTIONS(1552), 1,
      anon_sym_COMMA,
  [30985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(1556), 1,
      anon_sym_SEMI,
  [30995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [31003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    ACTIONS(1562), 1,
      anon_sym_COLON,
  [31013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1276), 1,
      anon_sym_SEMI,
  [31023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_identifier,
    STATE(541), 1,
      sym_enum_field,
  [31041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_EQ_GT,
    ACTIONS(1564), 1,
      anon_sym_LPAREN,
  [31051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_LPAREN,
  [31058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      ts_builtin_sym_end,
  [31065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      anon_sym_LPAREN,
  [31072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_SEMI,
  [31079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_LBRACE,
  [31086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      sym_identifier,
  [31093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      anon_sym_RBRACE,
  [31100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
  [31107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      sym_identifier,
  [31114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_LPAREN,
  [31121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym_identifier,
  [31128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_SEMI,
  [31135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
  [31142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      sym_identifier,
  [31149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      ts_builtin_sym_end,
  [31156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_SEMI,
  [31163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_BQUOTE,
  [31170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_RPAREN,
  [31177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_SQUOTE,
  [31184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_EQ,
  [31191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_EQ,
  [31198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      sym_identifier,
  [31205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_RPAREN,
  [31212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym_identifier,
  [31219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym_identifier,
  [31226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_COLON,
  [31233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_EQ,
  [31240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_RBRACE,
  [31247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      anon_sym_RBRACK,
  [31254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_LPAREN,
  [31261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_RBRACE,
  [31268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_LPAREN,
  [31275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_SEMI,
  [31282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_EQ,
  [31289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      sym_identifier,
  [31296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COLON,
  [31303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LBRACE,
  [31310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 1,
      sym_identifier,
  [31317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_RBRACK,
  [31324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_SEMI,
  [31331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_LBRACE,
  [31338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_RPAREN,
  [31345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
  [31352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
  [31359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
  [31366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_EQ,
  [31373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_SEMI,
  [31380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_EQ,
  [31387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_COLON,
  [31394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_SEMI,
  [31401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      anon_sym_LPAREN,
  [31408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_SEMI,
  [31415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
  [31422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_RPAREN,
  [31429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_EQ,
  [31436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_STAR,
  [31443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      sym_identifier,
  [31450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
  [31457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
  [31464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_COLON,
  [31471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
  [31478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      ts_builtin_sym_end,
  [31485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
  [31492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_EQ_GT,
  [31499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_RPAREN,
  [31506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_fn,
  [31513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      sym_identifier,
  [31520] = 2,
    ACTIONS(1113), 1,
      sym_comment,
    ACTIONS(1664), 1,
      sym_raw_string_content,
  [31527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
  [31534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_SEMI,
  [31541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_LPAREN,
  [31548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_EQ,
  [31555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_STAR,
  [31562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym_identifier,
  [31569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_fn,
  [31576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      sym_identifier,
  [31583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_RBRACK,
  [31590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_LPAREN,
  [31597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_COLON,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(43)] = 0,
  [SMALL_STATE(44)] = 123,
  [SMALL_STATE(45)] = 246,
  [SMALL_STATE(46)] = 369,
  [SMALL_STATE(47)] = 492,
  [SMALL_STATE(48)] = 615,
  [SMALL_STATE(49)] = 738,
  [SMALL_STATE(50)] = 861,
  [SMALL_STATE(51)] = 984,
  [SMALL_STATE(52)] = 1107,
  [SMALL_STATE(53)] = 1230,
  [SMALL_STATE(54)] = 1353,
  [SMALL_STATE(55)] = 1476,
  [SMALL_STATE(56)] = 1599,
  [SMALL_STATE(57)] = 1722,
  [SMALL_STATE(58)] = 1845,
  [SMALL_STATE(59)] = 1968,
  [SMALL_STATE(60)] = 2091,
  [SMALL_STATE(61)] = 2214,
  [SMALL_STATE(62)] = 2337,
  [SMALL_STATE(63)] = 2460,
  [SMALL_STATE(64)] = 2583,
  [SMALL_STATE(65)] = 2706,
  [SMALL_STATE(66)] = 2829,
  [SMALL_STATE(67)] = 2952,
  [SMALL_STATE(68)] = 3075,
  [SMALL_STATE(69)] = 3198,
  [SMALL_STATE(70)] = 3321,
  [SMALL_STATE(71)] = 3444,
  [SMALL_STATE(72)] = 3567,
  [SMALL_STATE(73)] = 3690,
  [SMALL_STATE(74)] = 3813,
  [SMALL_STATE(75)] = 3936,
  [SMALL_STATE(76)] = 4059,
  [SMALL_STATE(77)] = 4182,
  [SMALL_STATE(78)] = 4305,
  [SMALL_STATE(79)] = 4428,
  [SMALL_STATE(80)] = 4551,
  [SMALL_STATE(81)] = 4674,
  [SMALL_STATE(82)] = 4797,
  [SMALL_STATE(83)] = 4920,
  [SMALL_STATE(84)] = 5043,
  [SMALL_STATE(85)] = 5166,
  [SMALL_STATE(86)] = 5289,
  [SMALL_STATE(87)] = 5412,
  [SMALL_STATE(88)] = 5535,
  [SMALL_STATE(89)] = 5658,
  [SMALL_STATE(90)] = 5781,
  [SMALL_STATE(91)] = 5904,
  [SMALL_STATE(92)] = 6027,
  [SMALL_STATE(93)] = 6150,
  [SMALL_STATE(94)] = 6273,
  [SMALL_STATE(95)] = 6396,
  [SMALL_STATE(96)] = 6519,
  [SMALL_STATE(97)] = 6642,
  [SMALL_STATE(98)] = 6765,
  [SMALL_STATE(99)] = 6888,
  [SMALL_STATE(100)] = 7011,
  [SMALL_STATE(101)] = 7134,
  [SMALL_STATE(102)] = 7257,
  [SMALL_STATE(103)] = 7380,
  [SMALL_STATE(104)] = 7503,
  [SMALL_STATE(105)] = 7626,
  [SMALL_STATE(106)] = 7749,
  [SMALL_STATE(107)] = 7872,
  [SMALL_STATE(108)] = 7995,
  [SMALL_STATE(109)] = 8072,
  [SMALL_STATE(110)] = 8195,
  [SMALL_STATE(111)] = 8318,
  [SMALL_STATE(112)] = 8441,
  [SMALL_STATE(113)] = 8564,
  [SMALL_STATE(114)] = 8687,
  [SMALL_STATE(115)] = 8810,
  [SMALL_STATE(116)] = 8933,
  [SMALL_STATE(117)] = 9041,
  [SMALL_STATE(118)] = 9149,
  [SMALL_STATE(119)] = 9257,
  [SMALL_STATE(120)] = 9365,
  [SMALL_STATE(121)] = 9473,
  [SMALL_STATE(122)] = 9576,
  [SMALL_STATE(123)] = 9679,
  [SMALL_STATE(124)] = 9782,
  [SMALL_STATE(125)] = 9885,
  [SMALL_STATE(126)] = 9988,
  [SMALL_STATE(127)] = 10091,
  [SMALL_STATE(128)] = 10194,
  [SMALL_STATE(129)] = 10297,
  [SMALL_STATE(130)] = 10363,
  [SMALL_STATE(131)] = 10429,
  [SMALL_STATE(132)] = 10495,
  [SMALL_STATE(133)] = 10595,
  [SMALL_STATE(134)] = 10692,
  [SMALL_STATE(135)] = 10789,
  [SMALL_STATE(136)] = 10886,
  [SMALL_STATE(137)] = 10983,
  [SMALL_STATE(138)] = 11080,
  [SMALL_STATE(139)] = 11177,
  [SMALL_STATE(140)] = 11274,
  [SMALL_STATE(141)] = 11371,
  [SMALL_STATE(142)] = 11468,
  [SMALL_STATE(143)] = 11565,
  [SMALL_STATE(144)] = 11662,
  [SMALL_STATE(145)] = 11759,
  [SMALL_STATE(146)] = 11856,
  [SMALL_STATE(147)] = 11953,
  [SMALL_STATE(148)] = 12050,
  [SMALL_STATE(149)] = 12147,
  [SMALL_STATE(150)] = 12244,
  [SMALL_STATE(151)] = 12341,
  [SMALL_STATE(152)] = 12438,
  [SMALL_STATE(153)] = 12535,
  [SMALL_STATE(154)] = 12632,
  [SMALL_STATE(155)] = 12729,
  [SMALL_STATE(156)] = 12826,
  [SMALL_STATE(157)] = 12923,
  [SMALL_STATE(158)] = 13020,
  [SMALL_STATE(159)] = 13117,
  [SMALL_STATE(160)] = 13214,
  [SMALL_STATE(161)] = 13311,
  [SMALL_STATE(162)] = 13408,
  [SMALL_STATE(163)] = 13505,
  [SMALL_STATE(164)] = 13602,
  [SMALL_STATE(165)] = 13699,
  [SMALL_STATE(166)] = 13796,
  [SMALL_STATE(167)] = 13893,
  [SMALL_STATE(168)] = 13990,
  [SMALL_STATE(169)] = 14087,
  [SMALL_STATE(170)] = 14184,
  [SMALL_STATE(171)] = 14281,
  [SMALL_STATE(172)] = 14343,
  [SMALL_STATE(173)] = 14403,
  [SMALL_STATE(174)] = 14511,
  [SMALL_STATE(175)] = 14575,
  [SMALL_STATE(176)] = 14635,
  [SMALL_STATE(177)] = 14695,
  [SMALL_STATE(178)] = 14754,
  [SMALL_STATE(179)] = 14813,
  [SMALL_STATE(180)] = 14872,
  [SMALL_STATE(181)] = 14931,
  [SMALL_STATE(182)] = 15034,
  [SMALL_STATE(183)] = 15099,
  [SMALL_STATE(184)] = 15158,
  [SMALL_STATE(185)] = 15217,
  [SMALL_STATE(186)] = 15276,
  [SMALL_STATE(187)] = 15335,
  [SMALL_STATE(188)] = 15394,
  [SMALL_STATE(189)] = 15453,
  [SMALL_STATE(190)] = 15512,
  [SMALL_STATE(191)] = 15571,
  [SMALL_STATE(192)] = 15630,
  [SMALL_STATE(193)] = 15689,
  [SMALL_STATE(194)] = 15748,
  [SMALL_STATE(195)] = 15807,
  [SMALL_STATE(196)] = 15866,
  [SMALL_STATE(197)] = 15925,
  [SMALL_STATE(198)] = 15984,
  [SMALL_STATE(199)] = 16043,
  [SMALL_STATE(200)] = 16146,
  [SMALL_STATE(201)] = 16205,
  [SMALL_STATE(202)] = 16264,
  [SMALL_STATE(203)] = 16323,
  [SMALL_STATE(204)] = 16382,
  [SMALL_STATE(205)] = 16441,
  [SMALL_STATE(206)] = 16500,
  [SMALL_STATE(207)] = 16559,
  [SMALL_STATE(208)] = 16618,
  [SMALL_STATE(209)] = 16677,
  [SMALL_STATE(210)] = 16736,
  [SMALL_STATE(211)] = 16795,
  [SMALL_STATE(212)] = 16854,
  [SMALL_STATE(213)] = 16913,
  [SMALL_STATE(214)] = 16972,
  [SMALL_STATE(215)] = 17031,
  [SMALL_STATE(216)] = 17090,
  [SMALL_STATE(217)] = 17149,
  [SMALL_STATE(218)] = 17208,
  [SMALL_STATE(219)] = 17267,
  [SMALL_STATE(220)] = 17326,
  [SMALL_STATE(221)] = 17385,
  [SMALL_STATE(222)] = 17444,
  [SMALL_STATE(223)] = 17503,
  [SMALL_STATE(224)] = 17562,
  [SMALL_STATE(225)] = 17665,
  [SMALL_STATE(226)] = 17736,
  [SMALL_STATE(227)] = 17795,
  [SMALL_STATE(228)] = 17854,
  [SMALL_STATE(229)] = 17913,
  [SMALL_STATE(230)] = 17972,
  [SMALL_STATE(231)] = 18031,
  [SMALL_STATE(232)] = 18090,
  [SMALL_STATE(233)] = 18149,
  [SMALL_STATE(234)] = 18208,
  [SMALL_STATE(235)] = 18295,
  [SMALL_STATE(236)] = 18398,
  [SMALL_STATE(237)] = 18471,
  [SMALL_STATE(238)] = 18574,
  [SMALL_STATE(239)] = 18657,
  [SMALL_STATE(240)] = 18716,
  [SMALL_STATE(241)] = 18807,
  [SMALL_STATE(242)] = 18910,
  [SMALL_STATE(243)] = 19013,
  [SMALL_STATE(244)] = 19102,
  [SMALL_STATE(245)] = 19161,
  [SMALL_STATE(246)] = 19220,
  [SMALL_STATE(247)] = 19279,
  [SMALL_STATE(248)] = 19372,
  [SMALL_STATE(249)] = 19457,
  [SMALL_STATE(250)] = 19516,
  [SMALL_STATE(251)] = 19575,
  [SMALL_STATE(252)] = 19634,
  [SMALL_STATE(253)] = 19715,
  [SMALL_STATE(254)] = 19774,
  [SMALL_STATE(255)] = 19851,
  [SMALL_STATE(256)] = 19954,
  [SMALL_STATE(257)] = 20029,
  [SMALL_STATE(258)] = 20088,
  [SMALL_STATE(259)] = 20147,
  [SMALL_STATE(260)] = 20206,
  [SMALL_STATE(261)] = 20265,
  [SMALL_STATE(262)] = 20324,
  [SMALL_STATE(263)] = 20383,
  [SMALL_STATE(264)] = 20448,
  [SMALL_STATE(265)] = 20507,
  [SMALL_STATE(266)] = 20566,
  [SMALL_STATE(267)] = 20625,
  [SMALL_STATE(268)] = 20684,
  [SMALL_STATE(269)] = 20743,
  [SMALL_STATE(270)] = 20802,
  [SMALL_STATE(271)] = 20861,
  [SMALL_STATE(272)] = 20960,
  [SMALL_STATE(273)] = 21059,
  [SMALL_STATE(274)] = 21160,
  [SMALL_STATE(275)] = 21261,
  [SMALL_STATE(276)] = 21359,
  [SMALL_STATE(277)] = 21455,
  [SMALL_STATE(278)] = 21553,
  [SMALL_STATE(279)] = 21651,
  [SMALL_STATE(280)] = 21749,
  [SMALL_STATE(281)] = 21847,
  [SMALL_STATE(282)] = 21945,
  [SMALL_STATE(283)] = 22043,
  [SMALL_STATE(284)] = 22141,
  [SMALL_STATE(285)] = 22239,
  [SMALL_STATE(286)] = 22337,
  [SMALL_STATE(287)] = 22431,
  [SMALL_STATE(288)] = 22525,
  [SMALL_STATE(289)] = 22623,
  [SMALL_STATE(290)] = 22717,
  [SMALL_STATE(291)] = 22815,
  [SMALL_STATE(292)] = 22911,
  [SMALL_STATE(293)] = 23004,
  [SMALL_STATE(294)] = 23097,
  [SMALL_STATE(295)] = 23190,
  [SMALL_STATE(296)] = 23283,
  [SMALL_STATE(297)] = 23376,
  [SMALL_STATE(298)] = 23471,
  [SMALL_STATE(299)] = 23564,
  [SMALL_STATE(300)] = 23657,
  [SMALL_STATE(301)] = 23750,
  [SMALL_STATE(302)] = 23845,
  [SMALL_STATE(303)] = 23940,
  [SMALL_STATE(304)] = 23993,
  [SMALL_STATE(305)] = 24086,
  [SMALL_STATE(306)] = 24179,
  [SMALL_STATE(307)] = 24271,
  [SMALL_STATE(308)] = 24363,
  [SMALL_STATE(309)] = 24455,
  [SMALL_STATE(310)] = 24547,
  [SMALL_STATE(311)] = 24639,
  [SMALL_STATE(312)] = 24731,
  [SMALL_STATE(313)] = 24823,
  [SMALL_STATE(314)] = 24915,
  [SMALL_STATE(315)] = 25007,
  [SMALL_STATE(316)] = 25099,
  [SMALL_STATE(317)] = 25191,
  [SMALL_STATE(318)] = 25283,
  [SMALL_STATE(319)] = 25375,
  [SMALL_STATE(320)] = 25467,
  [SMALL_STATE(321)] = 25559,
  [SMALL_STATE(322)] = 25651,
  [SMALL_STATE(323)] = 25743,
  [SMALL_STATE(324)] = 25835,
  [SMALL_STATE(325)] = 25927,
  [SMALL_STATE(326)] = 26019,
  [SMALL_STATE(327)] = 26111,
  [SMALL_STATE(328)] = 26203,
  [SMALL_STATE(329)] = 26295,
  [SMALL_STATE(330)] = 26387,
  [SMALL_STATE(331)] = 26479,
  [SMALL_STATE(332)] = 26571,
  [SMALL_STATE(333)] = 26663,
  [SMALL_STATE(334)] = 26755,
  [SMALL_STATE(335)] = 26847,
  [SMALL_STATE(336)] = 26939,
  [SMALL_STATE(337)] = 26984,
  [SMALL_STATE(338)] = 27029,
  [SMALL_STATE(339)] = 27074,
  [SMALL_STATE(340)] = 27119,
  [SMALL_STATE(341)] = 27164,
  [SMALL_STATE(342)] = 27209,
  [SMALL_STATE(343)] = 27254,
  [SMALL_STATE(344)] = 27299,
  [SMALL_STATE(345)] = 27344,
  [SMALL_STATE(346)] = 27389,
  [SMALL_STATE(347)] = 27434,
  [SMALL_STATE(348)] = 27479,
  [SMALL_STATE(349)] = 27524,
  [SMALL_STATE(350)] = 27569,
  [SMALL_STATE(351)] = 27614,
  [SMALL_STATE(352)] = 27659,
  [SMALL_STATE(353)] = 27704,
  [SMALL_STATE(354)] = 27749,
  [SMALL_STATE(355)] = 27794,
  [SMALL_STATE(356)] = 27839,
  [SMALL_STATE(357)] = 27884,
  [SMALL_STATE(358)] = 27938,
  [SMALL_STATE(359)] = 27989,
  [SMALL_STATE(360)] = 28022,
  [SMALL_STATE(361)] = 28073,
  [SMALL_STATE(362)] = 28115,
  [SMALL_STATE(363)] = 28140,
  [SMALL_STATE(364)] = 28165,
  [SMALL_STATE(365)] = 28184,
  [SMALL_STATE(366)] = 28203,
  [SMALL_STATE(367)] = 28222,
  [SMALL_STATE(368)] = 28241,
  [SMALL_STATE(369)] = 28260,
  [SMALL_STATE(370)] = 28278,
  [SMALL_STATE(371)] = 28296,
  [SMALL_STATE(372)] = 28328,
  [SMALL_STATE(373)] = 28360,
  [SMALL_STATE(374)] = 28392,
  [SMALL_STATE(375)] = 28424,
  [SMALL_STATE(376)] = 28456,
  [SMALL_STATE(377)] = 28479,
  [SMALL_STATE(378)] = 28508,
  [SMALL_STATE(379)] = 28537,
  [SMALL_STATE(380)] = 28560,
  [SMALL_STATE(381)] = 28589,
  [SMALL_STATE(382)] = 28618,
  [SMALL_STATE(383)] = 28643,
  [SMALL_STATE(384)] = 28668,
  [SMALL_STATE(385)] = 28683,
  [SMALL_STATE(386)] = 28705,
  [SMALL_STATE(387)] = 28723,
  [SMALL_STATE(388)] = 28745,
  [SMALL_STATE(389)] = 28765,
  [SMALL_STATE(390)] = 28783,
  [SMALL_STATE(391)] = 28803,
  [SMALL_STATE(392)] = 28815,
  [SMALL_STATE(393)] = 28837,
  [SMALL_STATE(394)] = 28855,
  [SMALL_STATE(395)] = 28872,
  [SMALL_STATE(396)] = 28891,
  [SMALL_STATE(397)] = 28910,
  [SMALL_STATE(398)] = 28929,
  [SMALL_STATE(399)] = 28946,
  [SMALL_STATE(400)] = 28961,
  [SMALL_STATE(401)] = 28978,
  [SMALL_STATE(402)] = 28997,
  [SMALL_STATE(403)] = 29016,
  [SMALL_STATE(404)] = 29033,
  [SMALL_STATE(405)] = 29050,
  [SMALL_STATE(406)] = 29067,
  [SMALL_STATE(407)] = 29084,
  [SMALL_STATE(408)] = 29098,
  [SMALL_STATE(409)] = 29114,
  [SMALL_STATE(410)] = 29128,
  [SMALL_STATE(411)] = 29142,
  [SMALL_STATE(412)] = 29156,
  [SMALL_STATE(413)] = 29170,
  [SMALL_STATE(414)] = 29184,
  [SMALL_STATE(415)] = 29198,
  [SMALL_STATE(416)] = 29214,
  [SMALL_STATE(417)] = 29228,
  [SMALL_STATE(418)] = 29242,
  [SMALL_STATE(419)] = 29256,
  [SMALL_STATE(420)] = 29270,
  [SMALL_STATE(421)] = 29286,
  [SMALL_STATE(422)] = 29300,
  [SMALL_STATE(423)] = 29310,
  [SMALL_STATE(424)] = 29326,
  [SMALL_STATE(425)] = 29338,
  [SMALL_STATE(426)] = 29352,
  [SMALL_STATE(427)] = 29366,
  [SMALL_STATE(428)] = 29380,
  [SMALL_STATE(429)] = 29394,
  [SMALL_STATE(430)] = 29410,
  [SMALL_STATE(431)] = 29424,
  [SMALL_STATE(432)] = 29438,
  [SMALL_STATE(433)] = 29452,
  [SMALL_STATE(434)] = 29466,
  [SMALL_STATE(435)] = 29480,
  [SMALL_STATE(436)] = 29494,
  [SMALL_STATE(437)] = 29508,
  [SMALL_STATE(438)] = 29520,
  [SMALL_STATE(439)] = 29534,
  [SMALL_STATE(440)] = 29547,
  [SMALL_STATE(441)] = 29560,
  [SMALL_STATE(442)] = 29573,
  [SMALL_STATE(443)] = 29586,
  [SMALL_STATE(444)] = 29599,
  [SMALL_STATE(445)] = 29612,
  [SMALL_STATE(446)] = 29623,
  [SMALL_STATE(447)] = 29636,
  [SMALL_STATE(448)] = 29649,
  [SMALL_STATE(449)] = 29662,
  [SMALL_STATE(450)] = 29673,
  [SMALL_STATE(451)] = 29686,
  [SMALL_STATE(452)] = 29699,
  [SMALL_STATE(453)] = 29712,
  [SMALL_STATE(454)] = 29725,
  [SMALL_STATE(455)] = 29738,
  [SMALL_STATE(456)] = 29751,
  [SMALL_STATE(457)] = 29764,
  [SMALL_STATE(458)] = 29777,
  [SMALL_STATE(459)] = 29790,
  [SMALL_STATE(460)] = 29803,
  [SMALL_STATE(461)] = 29816,
  [SMALL_STATE(462)] = 29829,
  [SMALL_STATE(463)] = 29842,
  [SMALL_STATE(464)] = 29855,
  [SMALL_STATE(465)] = 29868,
  [SMALL_STATE(466)] = 29881,
  [SMALL_STATE(467)] = 29894,
  [SMALL_STATE(468)] = 29907,
  [SMALL_STATE(469)] = 29916,
  [SMALL_STATE(470)] = 29929,
  [SMALL_STATE(471)] = 29942,
  [SMALL_STATE(472)] = 29955,
  [SMALL_STATE(473)] = 29966,
  [SMALL_STATE(474)] = 29979,
  [SMALL_STATE(475)] = 29992,
  [SMALL_STATE(476)] = 30005,
  [SMALL_STATE(477)] = 30018,
  [SMALL_STATE(478)] = 30031,
  [SMALL_STATE(479)] = 30044,
  [SMALL_STATE(480)] = 30057,
  [SMALL_STATE(481)] = 30070,
  [SMALL_STATE(482)] = 30083,
  [SMALL_STATE(483)] = 30096,
  [SMALL_STATE(484)] = 30109,
  [SMALL_STATE(485)] = 30122,
  [SMALL_STATE(486)] = 30135,
  [SMALL_STATE(487)] = 30148,
  [SMALL_STATE(488)] = 30161,
  [SMALL_STATE(489)] = 30174,
  [SMALL_STATE(490)] = 30183,
  [SMALL_STATE(491)] = 30196,
  [SMALL_STATE(492)] = 30209,
  [SMALL_STATE(493)] = 30222,
  [SMALL_STATE(494)] = 30235,
  [SMALL_STATE(495)] = 30248,
  [SMALL_STATE(496)] = 30261,
  [SMALL_STATE(497)] = 30274,
  [SMALL_STATE(498)] = 30287,
  [SMALL_STATE(499)] = 30298,
  [SMALL_STATE(500)] = 30309,
  [SMALL_STATE(501)] = 30322,
  [SMALL_STATE(502)] = 30335,
  [SMALL_STATE(503)] = 30346,
  [SMALL_STATE(504)] = 30359,
  [SMALL_STATE(505)] = 30372,
  [SMALL_STATE(506)] = 30385,
  [SMALL_STATE(507)] = 30398,
  [SMALL_STATE(508)] = 30411,
  [SMALL_STATE(509)] = 30424,
  [SMALL_STATE(510)] = 30437,
  [SMALL_STATE(511)] = 30448,
  [SMALL_STATE(512)] = 30461,
  [SMALL_STATE(513)] = 30474,
  [SMALL_STATE(514)] = 30487,
  [SMALL_STATE(515)] = 30500,
  [SMALL_STATE(516)] = 30513,
  [SMALL_STATE(517)] = 30526,
  [SMALL_STATE(518)] = 30539,
  [SMALL_STATE(519)] = 30552,
  [SMALL_STATE(520)] = 30565,
  [SMALL_STATE(521)] = 30578,
  [SMALL_STATE(522)] = 30591,
  [SMALL_STATE(523)] = 30604,
  [SMALL_STATE(524)] = 30617,
  [SMALL_STATE(525)] = 30630,
  [SMALL_STATE(526)] = 30643,
  [SMALL_STATE(527)] = 30656,
  [SMALL_STATE(528)] = 30667,
  [SMALL_STATE(529)] = 30677,
  [SMALL_STATE(530)] = 30687,
  [SMALL_STATE(531)] = 30697,
  [SMALL_STATE(532)] = 30707,
  [SMALL_STATE(533)] = 30715,
  [SMALL_STATE(534)] = 30723,
  [SMALL_STATE(535)] = 30733,
  [SMALL_STATE(536)] = 30741,
  [SMALL_STATE(537)] = 30751,
  [SMALL_STATE(538)] = 30761,
  [SMALL_STATE(539)] = 30769,
  [SMALL_STATE(540)] = 30779,
  [SMALL_STATE(541)] = 30789,
  [SMALL_STATE(542)] = 30797,
  [SMALL_STATE(543)] = 30807,
  [SMALL_STATE(544)] = 30817,
  [SMALL_STATE(545)] = 30827,
  [SMALL_STATE(546)] = 30835,
  [SMALL_STATE(547)] = 30843,
  [SMALL_STATE(548)] = 30853,
  [SMALL_STATE(549)] = 30861,
  [SMALL_STATE(550)] = 30869,
  [SMALL_STATE(551)] = 30877,
  [SMALL_STATE(552)] = 30887,
  [SMALL_STATE(553)] = 30895,
  [SMALL_STATE(554)] = 30905,
  [SMALL_STATE(555)] = 30913,
  [SMALL_STATE(556)] = 30921,
  [SMALL_STATE(557)] = 30929,
  [SMALL_STATE(558)] = 30939,
  [SMALL_STATE(559)] = 30949,
  [SMALL_STATE(560)] = 30959,
  [SMALL_STATE(561)] = 30967,
  [SMALL_STATE(562)] = 30975,
  [SMALL_STATE(563)] = 30985,
  [SMALL_STATE(564)] = 30995,
  [SMALL_STATE(565)] = 31003,
  [SMALL_STATE(566)] = 31013,
  [SMALL_STATE(567)] = 31023,
  [SMALL_STATE(568)] = 31031,
  [SMALL_STATE(569)] = 31041,
  [SMALL_STATE(570)] = 31051,
  [SMALL_STATE(571)] = 31058,
  [SMALL_STATE(572)] = 31065,
  [SMALL_STATE(573)] = 31072,
  [SMALL_STATE(574)] = 31079,
  [SMALL_STATE(575)] = 31086,
  [SMALL_STATE(576)] = 31093,
  [SMALL_STATE(577)] = 31100,
  [SMALL_STATE(578)] = 31107,
  [SMALL_STATE(579)] = 31114,
  [SMALL_STATE(580)] = 31121,
  [SMALL_STATE(581)] = 31128,
  [SMALL_STATE(582)] = 31135,
  [SMALL_STATE(583)] = 31142,
  [SMALL_STATE(584)] = 31149,
  [SMALL_STATE(585)] = 31156,
  [SMALL_STATE(586)] = 31163,
  [SMALL_STATE(587)] = 31170,
  [SMALL_STATE(588)] = 31177,
  [SMALL_STATE(589)] = 31184,
  [SMALL_STATE(590)] = 31191,
  [SMALL_STATE(591)] = 31198,
  [SMALL_STATE(592)] = 31205,
  [SMALL_STATE(593)] = 31212,
  [SMALL_STATE(594)] = 31219,
  [SMALL_STATE(595)] = 31226,
  [SMALL_STATE(596)] = 31233,
  [SMALL_STATE(597)] = 31240,
  [SMALL_STATE(598)] = 31247,
  [SMALL_STATE(599)] = 31254,
  [SMALL_STATE(600)] = 31261,
  [SMALL_STATE(601)] = 31268,
  [SMALL_STATE(602)] = 31275,
  [SMALL_STATE(603)] = 31282,
  [SMALL_STATE(604)] = 31289,
  [SMALL_STATE(605)] = 31296,
  [SMALL_STATE(606)] = 31303,
  [SMALL_STATE(607)] = 31310,
  [SMALL_STATE(608)] = 31317,
  [SMALL_STATE(609)] = 31324,
  [SMALL_STATE(610)] = 31331,
  [SMALL_STATE(611)] = 31338,
  [SMALL_STATE(612)] = 31345,
  [SMALL_STATE(613)] = 31352,
  [SMALL_STATE(614)] = 31359,
  [SMALL_STATE(615)] = 31366,
  [SMALL_STATE(616)] = 31373,
  [SMALL_STATE(617)] = 31380,
  [SMALL_STATE(618)] = 31387,
  [SMALL_STATE(619)] = 31394,
  [SMALL_STATE(620)] = 31401,
  [SMALL_STATE(621)] = 31408,
  [SMALL_STATE(622)] = 31415,
  [SMALL_STATE(623)] = 31422,
  [SMALL_STATE(624)] = 31429,
  [SMALL_STATE(625)] = 31436,
  [SMALL_STATE(626)] = 31443,
  [SMALL_STATE(627)] = 31450,
  [SMALL_STATE(628)] = 31457,
  [SMALL_STATE(629)] = 31464,
  [SMALL_STATE(630)] = 31471,
  [SMALL_STATE(631)] = 31478,
  [SMALL_STATE(632)] = 31485,
  [SMALL_STATE(633)] = 31492,
  [SMALL_STATE(634)] = 31499,
  [SMALL_STATE(635)] = 31506,
  [SMALL_STATE(636)] = 31513,
  [SMALL_STATE(637)] = 31520,
  [SMALL_STATE(638)] = 31527,
  [SMALL_STATE(639)] = 31534,
  [SMALL_STATE(640)] = 31541,
  [SMALL_STATE(641)] = 31548,
  [SMALL_STATE(642)] = 31555,
  [SMALL_STATE(643)] = 31562,
  [SMALL_STATE(644)] = 31569,
  [SMALL_STATE(645)] = 31576,
  [SMALL_STATE(646)] = 31583,
  [SMALL_STATE(647)] = 31590,
  [SMALL_STATE(648)] = 31597,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [25] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [29] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 6, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 7, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 7, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 2, 0, 0),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 2, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(17),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(78),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(24),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(614),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(25),
  [205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(108),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(637),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 3, 0, 0),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 3, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 4, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 4, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 4),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 4),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 4),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 2),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 4),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 2),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 2),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 2),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 31),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 31),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 1),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 1),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_literal, 3, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_literal, 3, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 5, 0, 0),
  [464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 5, 0, 0),
  [466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_assertion_expression, 2, 0, 0),
  [472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_assertion_expression, 2, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 7),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 7),
  [482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_suffix, 1, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_suffix, 1, 0, 0),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 6, 0, 30),
  [488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 30),
  [490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2, 0, 0),
  [492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_literal, 4, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_literal, 4, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tagged_union_type, 4, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged_union_type, 4, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unwrapped_type, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unwrapped_type, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_literal, 5, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_literal, 5, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_size_expression, 4, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_size_expression, 4, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 5, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 5, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_void, 1, 0, 0),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_void, 1, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 11),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 11),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 5, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 5, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 4, 0, 0),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 4, 0, 0),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 32),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 32),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 23),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 23),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 15),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 15),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 4, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 4, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 5, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 5, 0, 0),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 6, 0, 0),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 6, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 6, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 6, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 6, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 6, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 4, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 4, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 4, 0, 12),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 4, 0, 12),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 7, 0, 38),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 7, 0, 38),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 3, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 3, 0, 0),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 0),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 0),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 6, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 6, 0, 0),
  [618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string, 3, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string, 3, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 6, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 6, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rune, 3, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rune, 3, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 31),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 31),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 4, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 4, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 0),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 13),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 13),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 3, 0, 14),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 3, 0, 14),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 15),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 15),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 15),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 15),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 6, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 6, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 7, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 7, 0, 0),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 7, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 7, 0, 0),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 3, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 3, 0, 0),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 42),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 42),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_type, 2, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type, 2, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 43),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 43),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 44),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 44),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 7, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 7, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 8, 0, 45),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 8, 0, 45),
  [710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 47),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 47),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 3, 0, 16),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 3, 0, 16),
  [730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 3, 0, 17),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 3, 0, 17),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 15),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 15),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 4, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 4, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 5, 0, 0),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 5, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 5, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 5, 0, 0),
  [770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 4, 0, 0),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 4, 0, 0),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_type, 2, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_type, 2, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 4, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 6, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 6, 0, 0),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_expression_repeat1, 4, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_expression_repeat1, 6, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 2, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_field, 3, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_binding, 6, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignment, 5, 0, 0),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_binding, 5, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 4, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_declaration_repeat1, 6, 0, 0),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 6, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignment, 3, 0, 0),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0), REDUCE(sym_void, 1, 0, 0),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 6, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 4, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 28),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 24),
  [889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 25),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 19),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 27),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, 0, 39),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, 0, 40),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, 0, 41),
  [901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 33),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 34),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 22),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 35),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 36),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 11, 0, 46),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 9),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 18),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 7, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 7, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 7, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 7, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 5, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 5, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 3, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 3, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 2, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 2, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 6, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 6, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 4, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 4, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 5, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 5, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 8, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 8, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 9, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 9, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 9, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 9, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_operation, 3, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_operation, 3, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 8, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 8, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0),
  [1021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [1027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [1030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [1033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(607),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declarations, 1, 0, 0),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imports_repeat1, 2, 0, 0),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(537),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imports, 1, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 9, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 7, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 8, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declarations_repeat1, 3, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat1, 2, 0, 0),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_attribute, 4, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_attribute, 4, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 2, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_attribute, 1, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_expression_repeat1, 2, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0),
  [1218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 2, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 5, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 7, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [1292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 2, 0, 0),
  [1299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tagged_union_type_repeat1, 2, 0, 0),
  [1304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tagged_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_binding, 4, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 5, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_literal_repeat1, 2, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offset_specifier, 4, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_binding, 3, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 2, 0, 6),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_type_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_repeat1, 2, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 7, 0, 0),
  [1451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat1, 2, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(510),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat2, 2, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(580),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_declaration_repeat1, 2, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_field, 1, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 6, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignment, 1, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 3),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 4, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 20),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 8),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 29),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 21),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 37),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 10),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 26),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_attribute, 1, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1658] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_hare(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
